﻿#pragma once

namespace GET__CALCULATION__FANMOTOR {

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;
	using namespace System::IO;
	using namespace System::Runtime::InteropServices;
	using namespace System::Text;

	/// <summary>
	/// Zusammenfassung für GET__CALCULATION__FANMOTOR
	/// </summary>
	public ref class GET__CALCULATION__FANMOTOR : public System::Windows::Forms::Form
	{
#pragma region Global variables********************************
	static String ^ parameter = "";
	static String ^ errCode = "";
	static String ^ errMessage = "";
	int l;
	static int n = -1;
	static StringBuilder^ sbKEY = gcnew StringBuilder();
	static array<Char>^ chKEY = gcnew array<Char>(5000);
	static array<Double>^ dbINPUT = gcnew array<Double>(50);
	//The array size of dbOUTPUT should be 1 more than its equivalent        /Die Arraygröße von dbOUTPUT sollte 1 größer sein als sein äquvalent-Array 
	//_ array in the DLL, because of the length prefix in Delphi. This       /_in der DLL, wegen dem längen prefix in Delphi. Dieses
	//_ length prefix defines the length of the dataset in memory.           /_längen prefix definiert die Länge vom Datensatz im Speicher.
	//_ Without this prevention the storage position in memory will be       /_Ohne diese Vorbeugung, würde die Speicherposition im Speicher 
	//_ overwritten.                                                         /_überschreiben werden. 
	static array<Double>^ dbOUTPUT = gcnew array<Double>(51);
	static int s1 = 0;
	static int s2 = 0;
	static int z1 = 0;
				 static int z2 = 0;
#pragma endregion
#pragma region GUI*********************************************
	private: System::Windows::Forms::RichTextBox^  richTextBoxOutputData;
	private: System::Windows::Forms::Button^  buttonShowOutputData;
	private: System::Windows::Forms::GroupBox^  groupBox4;
	private: System::Windows::Forms::Button^  buttonGetCalculationFanmotor;
	private: System::Windows::Forms::Label^  label73;
	private: System::Windows::Forms::Label^  label72;
	private: System::Windows::Forms::TextBox^  textBoxSupplyVoltage;
	private: System::Windows::Forms::Label^  label71;
	private: System::Windows::Forms::Label^  label70;
	private: System::Windows::Forms::TextBox^  textBoxErrCodeFanmotor;
	private: System::Windows::Forms::Label^  label10;
	private: System::Windows::Forms::TextBox^  textBoxSeperationDistance;
	private: System::Windows::Forms::TextBox^  textBoxIdNo;
	private: System::Windows::Forms::Label^  label69;
	private: System::Windows::Forms::Label^  label68;
	private: System::Windows::Forms::Label^  label15;
	private: System::Windows::Forms::Label^  label67;
	private: System::Windows::Forms::Label^  label66;
	private: System::Windows::Forms::Label^  label65;
	private: System::Windows::Forms::Label^  label64;
	private: System::Windows::Forms::Label^  label63;
	private: System::Windows::Forms::Label^  label62;
	private: System::Windows::Forms::TextBox^  textBoxPressureDifferenceTotal;
	private: System::Windows::Forms::Label^  label7;
	private: System::Windows::Forms::Label^  label8;
	private: System::Windows::Forms::Label^  label26;
	private: System::Windows::Forms::Label^  label9;
	private: System::Windows::Forms::TextBox^  textBoxSpeedStep;
	private: System::Windows::Forms::Label^  label11;
	private: System::Windows::Forms::TextBox^  textBoxAirVolume;
	private: System::Windows::Forms::Label^  label12;
	private: System::Windows::Forms::TextBox^  textBoxPressureDifferenceStatic;
	private: System::Windows::Forms::Label^  label13;
	private: System::Windows::Forms::TextBox^  textBoxAirTemperature;
	private: System::Windows::Forms::Label^  label14;
	private: System::Windows::Forms::TextBox^  textBoxAltitude;
	private: System::Windows::Forms::TextBox^  textBoxAirDensity;
	private: System::Windows::Forms::ComboBox^  comboBoxMounting;
	private: System::Windows::Forms::ComboBox^  comboBoxOption;
	private: System::Windows::Forms::GroupBox^  groupBox2;
	private: System::Windows::Forms::GroupBox^  groupBox6;
	private: System::Windows::Forms::Label^  label75;
	private: System::Windows::Forms::Label^  label74;
	private: System::Windows::Forms::TextBox^  textBox30;
	private: System::Windows::Forms::TextBox^  textBox31;
	private: System::Windows::Forms::Label^  label39;
	private: System::Windows::Forms::Label^  label40;
	private: System::Windows::Forms::TextBox^  textBox29;
	private: System::Windows::Forms::TextBox^  textBox28;
	private: System::Windows::Forms::TextBox^  textBox27;
	private: System::Windows::Forms::Label^  label17;
	private: System::Windows::Forms::TextBox^  textBox26;
	private: System::Windows::Forms::Label^  label18;
	private: System::Windows::Forms::TextBox^  textBox25;
	private: System::Windows::Forms::Label^  label19;
	private: System::Windows::Forms::TextBox^  textBox24;
	private: System::Windows::Forms::Label^  label20;
	private: System::Windows::Forms::TextBox^  textBox23;
	private: System::Windows::Forms::Label^  label21;
	private: System::Windows::Forms::TextBox^  textBox22;
	private: System::Windows::Forms::Label^  label22;
	private: System::Windows::Forms::TextBox^  textBox21;
	private: System::Windows::Forms::Label^  label23;
	private: System::Windows::Forms::TextBox^  textBox20;
	private: System::Windows::Forms::Label^  label24;
	private: System::Windows::Forms::TextBox^  textBox19;
	private: System::Windows::Forms::Label^  label25;
	private: System::Windows::Forms::TextBox^  textBox42;
	private: System::Windows::Forms::TextBox^  textBox41;
	private: System::Windows::Forms::TextBox^  textBox18;
	private: System::Windows::Forms::Label^  label16;
	private: System::Windows::Forms::TextBox^  textBox17;
	private: System::Windows::Forms::TextBox^  textBox40;
	private: System::Windows::Forms::TextBox^  textBox16;
	private: System::Windows::Forms::TextBox^  textBox15;
	private: System::Windows::Forms::TextBox^  textBox13;
	private: System::Windows::Forms::TextBox^  textBox14;
	private: System::Windows::Forms::GroupBox^  groupBox5;
	private: System::Windows::Forms::Label^  label42;
	private: System::Windows::Forms::Label^  label61;
	private: System::Windows::Forms::TextBox^  textBox0;
	private: System::Windows::Forms::Label^  label60;
	private: System::Windows::Forms::Label^  label43;
	private: System::Windows::Forms::TextBox^  textBox32;
	private: System::Windows::Forms::Label^  label59;
	private: System::Windows::Forms::Label^  label44;
	private: System::Windows::Forms::TextBox^  textBox2;
	private: System::Windows::Forms::TextBox^  textBox35;
	private: System::Windows::Forms::TextBox^  textBox3;
	private: System::Windows::Forms::Label^  label58;
	private: System::Windows::Forms::Label^  label47;
	private: System::Windows::Forms::TextBox^  textBox4;
	private: System::Windows::Forms::TextBox^  textBox34;
	private: System::Windows::Forms::TextBox^  textBox5;
	private: System::Windows::Forms::Label^  label57;
	private: System::Windows::Forms::Label^  label46;
	private: System::Windows::Forms::TextBox^  textBox6;
	private: System::Windows::Forms::TextBox^  textBox33;
	private: System::Windows::Forms::TextBox^  textBox11;
	private: System::Windows::Forms::TextBox^  textBox7;
	private: System::Windows::Forms::TextBox^  textBox12;
	private: System::Windows::Forms::Label^  label56;
	private: System::Windows::Forms::Label^  label45;
	private: System::Windows::Forms::TextBox^  textBox8;
	private: System::Windows::Forms::TextBox^  textBox9;
	private: System::Windows::Forms::Label^  label54;
	private: System::Windows::Forms::Label^  label53;
	private: System::Windows::Forms::TextBox^  textBox10;
	private: System::Windows::Forms::Label^  label55;
	private: System::Windows::Forms::Label^  label52;
	private: System::Windows::Forms::TextBox^  textBox39;
	private: System::Windows::Forms::Label^  label48;
	private: System::Windows::Forms::Label^  label51;
	private: System::Windows::Forms::TextBox^  textBox36;
	private: System::Windows::Forms::TextBox^  textBox38;
	private: System::Windows::Forms::Label^  label49;
	private: System::Windows::Forms::Label^  label50;
	private: System::Windows::Forms::TextBox^  textBox37;
	private: System::Windows::Forms::GroupBox^  groupBox1;
	protected: 
	private: System::Windows::Forms::Label^  label2;
	private: System::Windows::Forms::Button^  btn_Set_XML_Path_PC;
	private: System::Windows::Forms::Label^  label1;
	private: System::Windows::Forms::TextBox^  textBox_dll_error_code;
	private: System::Windows::Forms::TextBox^  textBox_xml_path_PC;
	private: System::Windows::Forms::TextBox^  textBox_Status;
	private: System::Windows::Forms::GroupBox^  groupBox3;
	private: System::Windows::Forms::Button^  buttonGetProducts;
	private: System::Windows::Forms::Label^  label4;
	private: System::Windows::Forms::Label^  label5;
	private: System::Windows::Forms::Label^  label6;
	private: System::Windows::Forms::TextBox^  textBoxElements;
	private: System::Windows::Forms::ComboBox^  comboBoxType;
	private: System::Windows::Forms::ComboBox^  comboBoxIdNo;
	private: System::Windows::Forms::ListBox^  listBoxProducts;
#pragma endregion
#pragma region Generated Stuff*********************************
	public:
		GET__CALCULATION__FANMOTOR(void)
		{
			InitializeComponent();
			//
			//TODO: Konstruktorcode hier hinzufügen.
			//
		}

	protected:
		/// <summary>
		/// Verwendete Ressourcen bereinigen.
		/// </summary>
		~GET__CALCULATION__FANMOTOR()
		{
			if (components)
			{
				delete components;
			}
		}

	private:
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		System::ComponentModel::Container ^components;
#pragma endregion
#pragma region Windows Form Designer generated code************
		/// <summary>
		/// Erforderliche Methode für die Designerunterstützung.
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor geändert werden.
		/// </summary>
		void InitializeComponent(void)
		{
			this->groupBox1 = (gcnew System::Windows::Forms::GroupBox());
			this->label2 = (gcnew System::Windows::Forms::Label());
			this->btn_Set_XML_Path_PC = (gcnew System::Windows::Forms::Button());
			this->label1 = (gcnew System::Windows::Forms::Label());
			this->textBox_dll_error_code = (gcnew System::Windows::Forms::TextBox());
			this->textBox_xml_path_PC = (gcnew System::Windows::Forms::TextBox());
			this->textBox_Status = (gcnew System::Windows::Forms::TextBox());
			this->groupBox3 = (gcnew System::Windows::Forms::GroupBox());
			this->buttonGetProducts = (gcnew System::Windows::Forms::Button());
			this->label4 = (gcnew System::Windows::Forms::Label());
			this->label5 = (gcnew System::Windows::Forms::Label());
			this->label6 = (gcnew System::Windows::Forms::Label());
			this->textBoxElements = (gcnew System::Windows::Forms::TextBox());
			this->comboBoxType = (gcnew System::Windows::Forms::ComboBox());
			this->comboBoxIdNo = (gcnew System::Windows::Forms::ComboBox());
			this->listBoxProducts = (gcnew System::Windows::Forms::ListBox());
			this->richTextBoxOutputData = (gcnew System::Windows::Forms::RichTextBox());
			this->buttonShowOutputData = (gcnew System::Windows::Forms::Button());
			this->groupBox4 = (gcnew System::Windows::Forms::GroupBox());
			this->buttonGetCalculationFanmotor = (gcnew System::Windows::Forms::Button());
			this->label73 = (gcnew System::Windows::Forms::Label());
			this->label72 = (gcnew System::Windows::Forms::Label());
			this->textBoxSupplyVoltage = (gcnew System::Windows::Forms::TextBox());
			this->label71 = (gcnew System::Windows::Forms::Label());
			this->label70 = (gcnew System::Windows::Forms::Label());
			this->textBoxErrCodeFanmotor = (gcnew System::Windows::Forms::TextBox());
			this->label10 = (gcnew System::Windows::Forms::Label());
			this->textBoxSeperationDistance = (gcnew System::Windows::Forms::TextBox());
			this->textBoxIdNo = (gcnew System::Windows::Forms::TextBox());
			this->label69 = (gcnew System::Windows::Forms::Label());
			this->label68 = (gcnew System::Windows::Forms::Label());
			this->label15 = (gcnew System::Windows::Forms::Label());
			this->label67 = (gcnew System::Windows::Forms::Label());
			this->label66 = (gcnew System::Windows::Forms::Label());
			this->label65 = (gcnew System::Windows::Forms::Label());
			this->label64 = (gcnew System::Windows::Forms::Label());
			this->label63 = (gcnew System::Windows::Forms::Label());
			this->label62 = (gcnew System::Windows::Forms::Label());
			this->textBoxPressureDifferenceTotal = (gcnew System::Windows::Forms::TextBox());
			this->label7 = (gcnew System::Windows::Forms::Label());
			this->label8 = (gcnew System::Windows::Forms::Label());
			this->label26 = (gcnew System::Windows::Forms::Label());
			this->label9 = (gcnew System::Windows::Forms::Label());
			this->textBoxSpeedStep = (gcnew System::Windows::Forms::TextBox());
			this->label11 = (gcnew System::Windows::Forms::Label());
			this->textBoxAirVolume = (gcnew System::Windows::Forms::TextBox());
			this->label12 = (gcnew System::Windows::Forms::Label());
			this->textBoxPressureDifferenceStatic = (gcnew System::Windows::Forms::TextBox());
			this->label13 = (gcnew System::Windows::Forms::Label());
			this->textBoxAirTemperature = (gcnew System::Windows::Forms::TextBox());
			this->label14 = (gcnew System::Windows::Forms::Label());
			this->textBoxAltitude = (gcnew System::Windows::Forms::TextBox());
			this->textBoxAirDensity = (gcnew System::Windows::Forms::TextBox());
			this->comboBoxMounting = (gcnew System::Windows::Forms::ComboBox());
			this->comboBoxOption = (gcnew System::Windows::Forms::ComboBox());
			this->groupBox2 = (gcnew System::Windows::Forms::GroupBox());
			this->groupBox6 = (gcnew System::Windows::Forms::GroupBox());
			this->label75 = (gcnew System::Windows::Forms::Label());
			this->label74 = (gcnew System::Windows::Forms::Label());
			this->textBox30 = (gcnew System::Windows::Forms::TextBox());
			this->textBox31 = (gcnew System::Windows::Forms::TextBox());
			this->label39 = (gcnew System::Windows::Forms::Label());
			this->label40 = (gcnew System::Windows::Forms::Label());
			this->textBox29 = (gcnew System::Windows::Forms::TextBox());
			this->textBox28 = (gcnew System::Windows::Forms::TextBox());
			this->textBox27 = (gcnew System::Windows::Forms::TextBox());
			this->label17 = (gcnew System::Windows::Forms::Label());
			this->textBox26 = (gcnew System::Windows::Forms::TextBox());
			this->label18 = (gcnew System::Windows::Forms::Label());
			this->textBox25 = (gcnew System::Windows::Forms::TextBox());
			this->label19 = (gcnew System::Windows::Forms::Label());
			this->textBox24 = (gcnew System::Windows::Forms::TextBox());
			this->label20 = (gcnew System::Windows::Forms::Label());
			this->textBox23 = (gcnew System::Windows::Forms::TextBox());
			this->label21 = (gcnew System::Windows::Forms::Label());
			this->textBox22 = (gcnew System::Windows::Forms::TextBox());
			this->label22 = (gcnew System::Windows::Forms::Label());
			this->textBox21 = (gcnew System::Windows::Forms::TextBox());
			this->label23 = (gcnew System::Windows::Forms::Label());
			this->textBox20 = (gcnew System::Windows::Forms::TextBox());
			this->label24 = (gcnew System::Windows::Forms::Label());
			this->textBox19 = (gcnew System::Windows::Forms::TextBox());
			this->label25 = (gcnew System::Windows::Forms::Label());
			this->textBox42 = (gcnew System::Windows::Forms::TextBox());
			this->textBox41 = (gcnew System::Windows::Forms::TextBox());
			this->textBox18 = (gcnew System::Windows::Forms::TextBox());
			this->label16 = (gcnew System::Windows::Forms::Label());
			this->textBox17 = (gcnew System::Windows::Forms::TextBox());
			this->textBox40 = (gcnew System::Windows::Forms::TextBox());
			this->textBox16 = (gcnew System::Windows::Forms::TextBox());
			this->textBox15 = (gcnew System::Windows::Forms::TextBox());
			this->textBox13 = (gcnew System::Windows::Forms::TextBox());
			this->textBox14 = (gcnew System::Windows::Forms::TextBox());
			this->groupBox5 = (gcnew System::Windows::Forms::GroupBox());
			this->label42 = (gcnew System::Windows::Forms::Label());
			this->label61 = (gcnew System::Windows::Forms::Label());
			this->textBox0 = (gcnew System::Windows::Forms::TextBox());
			this->label60 = (gcnew System::Windows::Forms::Label());
			this->label43 = (gcnew System::Windows::Forms::Label());
			this->textBox32 = (gcnew System::Windows::Forms::TextBox());
			this->label59 = (gcnew System::Windows::Forms::Label());
			this->label44 = (gcnew System::Windows::Forms::Label());
			this->textBox2 = (gcnew System::Windows::Forms::TextBox());
			this->textBox35 = (gcnew System::Windows::Forms::TextBox());
			this->textBox3 = (gcnew System::Windows::Forms::TextBox());
			this->label58 = (gcnew System::Windows::Forms::Label());
			this->label47 = (gcnew System::Windows::Forms::Label());
			this->textBox4 = (gcnew System::Windows::Forms::TextBox());
			this->textBox34 = (gcnew System::Windows::Forms::TextBox());
			this->textBox5 = (gcnew System::Windows::Forms::TextBox());
			this->label57 = (gcnew System::Windows::Forms::Label());
			this->label46 = (gcnew System::Windows::Forms::Label());
			this->textBox6 = (gcnew System::Windows::Forms::TextBox());
			this->textBox33 = (gcnew System::Windows::Forms::TextBox());
			this->textBox11 = (gcnew System::Windows::Forms::TextBox());
			this->textBox7 = (gcnew System::Windows::Forms::TextBox());
			this->textBox12 = (gcnew System::Windows::Forms::TextBox());
			this->label56 = (gcnew System::Windows::Forms::Label());
			this->label45 = (gcnew System::Windows::Forms::Label());
			this->textBox8 = (gcnew System::Windows::Forms::TextBox());
			this->textBox9 = (gcnew System::Windows::Forms::TextBox());
			this->label54 = (gcnew System::Windows::Forms::Label());
			this->label53 = (gcnew System::Windows::Forms::Label());
			this->textBox10 = (gcnew System::Windows::Forms::TextBox());
			this->label55 = (gcnew System::Windows::Forms::Label());
			this->label52 = (gcnew System::Windows::Forms::Label());
			this->textBox39 = (gcnew System::Windows::Forms::TextBox());
			this->label48 = (gcnew System::Windows::Forms::Label());
			this->label51 = (gcnew System::Windows::Forms::Label());
			this->textBox36 = (gcnew System::Windows::Forms::TextBox());
			this->textBox38 = (gcnew System::Windows::Forms::TextBox());
			this->label49 = (gcnew System::Windows::Forms::Label());
			this->label50 = (gcnew System::Windows::Forms::Label());
			this->textBox37 = (gcnew System::Windows::Forms::TextBox());
			this->groupBox1->SuspendLayout();
			this->groupBox3->SuspendLayout();
			this->groupBox4->SuspendLayout();
			this->groupBox2->SuspendLayout();
			this->groupBox6->SuspendLayout();
			this->groupBox5->SuspendLayout();
			this->SuspendLayout();
			// 
			// groupBox1
			// 
			this->groupBox1->Controls->Add(this->label2);
			this->groupBox1->Controls->Add(this->btn_Set_XML_Path_PC);
			this->groupBox1->Controls->Add(this->label1);
			this->groupBox1->Controls->Add(this->textBox_dll_error_code);
			this->groupBox1->Controls->Add(this->textBox_xml_path_PC);
			this->groupBox1->Controls->Add(this->textBox_Status);
			this->groupBox1->Location = System::Drawing::Point(12, 12);
			this->groupBox1->Name = L"groupBox1";
			this->groupBox1->Size = System::Drawing::Size(680, 82);
			this->groupBox1->TabIndex = 70;
			this->groupBox1->TabStop = false;
			this->groupBox1->Text = L"Set_XML_Path_PC";
			// 
			// label2
			// 
			this->label2->AutoSize = true;
			this->label2->Location = System::Drawing::Point(499, 24);
			this->label2->Name = L"label2";
			this->label2->Size = System::Drawing::Size(40, 13);
			this->label2->TabIndex = 17;
			this->label2->Text = L"Status:";
			// 
			// btn_Set_XML_Path_PC
			// 
			this->btn_Set_XML_Path_PC->Location = System::Drawing::Point(6, 19);
			this->btn_Set_XML_Path_PC->Name = L"btn_Set_XML_Path_PC";
			this->btn_Set_XML_Path_PC->Size = System::Drawing::Size(191, 23);
			this->btn_Set_XML_Path_PC->TabIndex = 16;
			this->btn_Set_XML_Path_PC->Text = L"Set_XML_Path_PC";
			this->btn_Set_XML_Path_PC->UseVisualStyleBackColor = true;
			this->btn_Set_XML_Path_PC->Click += gcnew System::EventHandler(this, &GET__CALCULATION__FANMOTOR::btn_Set_XML_Path_PC_Click);
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->Location = System::Drawing::Point(237, 24);
			this->label1->Name = L"label1";
			this->label1->Size = System::Drawing::Size(83, 13);
			this->label1->TabIndex = 15;
			this->label1->Text = L"DLL Error Code:";
			// 
			// textBox_dll_error_code
			// 
			this->textBox_dll_error_code->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox_dll_error_code->Location = System::Drawing::Point(326, 21);
			this->textBox_dll_error_code->Name = L"textBox_dll_error_code";
			this->textBox_dll_error_code->ReadOnly = true;
			this->textBox_dll_error_code->Size = System::Drawing::Size(100, 20);
			this->textBox_dll_error_code->TabIndex = 14;
			// 
			// textBox_xml_path_PC
			// 
			this->textBox_xml_path_PC->Location = System::Drawing::Point(6, 48);
			this->textBox_xml_path_PC->Name = L"textBox_xml_path_PC";
			this->textBox_xml_path_PC->Size = System::Drawing::Size(639, 20);
			this->textBox_xml_path_PC->TabIndex = 13;
			// 
			// textBox_Status
			// 
			this->textBox_Status->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox_Status->Location = System::Drawing::Point(545, 21);
			this->textBox_Status->Name = L"textBox_Status";
			this->textBox_Status->ReadOnly = true;
			this->textBox_Status->Size = System::Drawing::Size(100, 20);
			this->textBox_Status->TabIndex = 12;
			// 
			// groupBox3
			// 
			this->groupBox3->Controls->Add(this->buttonGetProducts);
			this->groupBox3->Controls->Add(this->label4);
			this->groupBox3->Controls->Add(this->label5);
			this->groupBox3->Controls->Add(this->label6);
			this->groupBox3->Controls->Add(this->textBoxElements);
			this->groupBox3->Controls->Add(this->comboBoxType);
			this->groupBox3->Controls->Add(this->comboBoxIdNo);
			this->groupBox3->Controls->Add(this->listBoxProducts);
			this->groupBox3->Location = System::Drawing::Point(12, 110);
			this->groupBox3->Name = L"groupBox3";
			this->groupBox3->Size = System::Drawing::Size(680, 168);
			this->groupBox3->TabIndex = 69;
			this->groupBox3->TabStop = false;
			this->groupBox3->Text = L"Get Products";
			// 
			// buttonGetProducts
			// 
			this->buttonGetProducts->Location = System::Drawing::Point(6, 19);
			this->buttonGetProducts->Name = L"buttonGetProducts";
			this->buttonGetProducts->Size = System::Drawing::Size(124, 40);
			this->buttonGetProducts->TabIndex = 19;
			this->buttonGetProducts->Text = L"Get Products PC";
			this->buttonGetProducts->UseVisualStyleBackColor = true;
			this->buttonGetProducts->Click += gcnew System::EventHandler(this, &GET__CALCULATION__FANMOTOR::buttonGetProducts_Click);
			// 
			// label4
			// 
			this->label4->AutoSize = true;
			this->label4->Location = System::Drawing::Point(148, 33);
			this->label4->Name = L"label4";
			this->label4->Size = System::Drawing::Size(105, 13);
			this->label4->TabIndex = 22;
			this->label4->Text = L"Number of Elements:";
			// 
			// label5
			// 
			this->label5->AutoSize = true;
			this->label5->Location = System::Drawing::Point(148, 79);
			this->label5->Name = L"label5";
			this->label5->Size = System::Drawing::Size(61, 13);
			this->label5->TabIndex = 23;
			this->label5->Text = L"Product ID:";
			// 
			// label6
			// 
			this->label6->AutoSize = true;
			this->label6->Location = System::Drawing::Point(148, 125);
			this->label6->Name = L"label6";
			this->label6->Size = System::Drawing::Size(34, 13);
			this->label6->TabIndex = 24;
			this->label6->Text = L"Type:";
			// 
			// textBoxElements
			// 
			this->textBoxElements->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBoxElements->Location = System::Drawing::Point(259, 30);
			this->textBoxElements->Name = L"textBoxElements";
			this->textBoxElements->ReadOnly = true;
			this->textBoxElements->Size = System::Drawing::Size(100, 20);
			this->textBoxElements->TabIndex = 25;
			// 
			// comboBoxType
			// 
			this->comboBoxType->FormattingEnabled = true;
			this->comboBoxType->Location = System::Drawing::Point(259, 122);
			this->comboBoxType->Name = L"comboBoxType";
			this->comboBoxType->Size = System::Drawing::Size(121, 21);
			this->comboBoxType->TabIndex = 26;
			this->comboBoxType->SelectedValueChanged += gcnew System::EventHandler(this, &GET__CALCULATION__FANMOTOR::comboBoxType_SelectedValueChanged);
			// 
			// comboBoxIdNo
			// 
			this->comboBoxIdNo->FormattingEnabled = true;
			this->comboBoxIdNo->Location = System::Drawing::Point(259, 76);
			this->comboBoxIdNo->Name = L"comboBoxIdNo";
			this->comboBoxIdNo->Size = System::Drawing::Size(121, 21);
			this->comboBoxIdNo->TabIndex = 27;
			this->comboBoxIdNo->SelectedIndexChanged += gcnew System::EventHandler(this, &GET__CALCULATION__FANMOTOR::comboBoxIdNo_SelectedIndexChanged);
			// 
			// listBoxProducts
			// 
			this->listBoxProducts->FormattingEnabled = true;
			this->listBoxProducts->Location = System::Drawing::Point(386, 19);
			this->listBoxProducts->Name = L"listBoxProducts";
			this->listBoxProducts->Size = System::Drawing::Size(285, 134);
			this->listBoxProducts->TabIndex = 28;
			this->listBoxProducts->SelectedIndexChanged += gcnew System::EventHandler(this, &GET__CALCULATION__FANMOTOR::listBoxProducts_SelectedIndexChanged);
			// 
			// richTextBoxOutputData
			// 
			this->richTextBoxOutputData->Location = System::Drawing::Point(698, 60);
			this->richTextBoxOutputData->Name = L"richTextBoxOutputData";
			this->richTextBoxOutputData->Size = System::Drawing::Size(351, 218);
			this->richTextBoxOutputData->TabIndex = 73;
			this->richTextBoxOutputData->Text = L"";
			this->richTextBoxOutputData->Visible = false;
			// 
			// buttonShowOutputData
			// 
			this->buttonShowOutputData->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, 
				System::Drawing::GraphicsUnit::Point, static_cast<System::Byte>(0)));
			this->buttonShowOutputData->Location = System::Drawing::Point(698, 19);
			this->buttonShowOutputData->Name = L"buttonShowOutputData";
			this->buttonShowOutputData->Size = System::Drawing::Size(110, 35);
			this->buttonShowOutputData->TabIndex = 72;
			this->buttonShowOutputData->Text = L"Show Output Data";
			this->buttonShowOutputData->UseVisualStyleBackColor = true;
			this->buttonShowOutputData->Click += gcnew System::EventHandler(this, &GET__CALCULATION__FANMOTOR::buttonShowOutputData_Click);
			// 
			// groupBox4
			// 
			this->groupBox4->Controls->Add(this->buttonGetCalculationFanmotor);
			this->groupBox4->Controls->Add(this->label73);
			this->groupBox4->Controls->Add(this->label72);
			this->groupBox4->Controls->Add(this->textBoxSupplyVoltage);
			this->groupBox4->Controls->Add(this->label71);
			this->groupBox4->Controls->Add(this->label70);
			this->groupBox4->Controls->Add(this->textBoxErrCodeFanmotor);
			this->groupBox4->Controls->Add(this->label10);
			this->groupBox4->Controls->Add(this->textBoxSeperationDistance);
			this->groupBox4->Controls->Add(this->textBoxIdNo);
			this->groupBox4->Controls->Add(this->label69);
			this->groupBox4->Controls->Add(this->label68);
			this->groupBox4->Controls->Add(this->label15);
			this->groupBox4->Controls->Add(this->label67);
			this->groupBox4->Controls->Add(this->label66);
			this->groupBox4->Controls->Add(this->label65);
			this->groupBox4->Controls->Add(this->label64);
			this->groupBox4->Controls->Add(this->label63);
			this->groupBox4->Controls->Add(this->label62);
			this->groupBox4->Controls->Add(this->textBoxPressureDifferenceTotal);
			this->groupBox4->Controls->Add(this->label7);
			this->groupBox4->Controls->Add(this->label8);
			this->groupBox4->Controls->Add(this->label26);
			this->groupBox4->Controls->Add(this->label9);
			this->groupBox4->Controls->Add(this->textBoxSpeedStep);
			this->groupBox4->Controls->Add(this->label11);
			this->groupBox4->Controls->Add(this->textBoxAirVolume);
			this->groupBox4->Controls->Add(this->label12);
			this->groupBox4->Controls->Add(this->textBoxPressureDifferenceStatic);
			this->groupBox4->Controls->Add(this->label13);
			this->groupBox4->Controls->Add(this->textBoxAirTemperature);
			this->groupBox4->Controls->Add(this->label14);
			this->groupBox4->Controls->Add(this->textBoxAltitude);
			this->groupBox4->Controls->Add(this->textBoxAirDensity);
			this->groupBox4->Controls->Add(this->comboBoxMounting);
			this->groupBox4->Controls->Add(this->comboBoxOption);
			this->groupBox4->ForeColor = System::Drawing::SystemColors::ControlText;
			this->groupBox4->Location = System::Drawing::Point(12, 284);
			this->groupBox4->Name = L"groupBox4";
			this->groupBox4->Size = System::Drawing::Size(293, 418);
			this->groupBox4->TabIndex = 75;
			this->groupBox4->TabStop = false;
			this->groupBox4->Text = L"Input - Get Calculation Fanmotor";
			// 
			// buttonGetCalculationFanmotor
			// 
			this->buttonGetCalculationFanmotor->Location = System::Drawing::Point(6, 19);
			this->buttonGetCalculationFanmotor->Name = L"buttonGetCalculationFanmotor";
			this->buttonGetCalculationFanmotor->Size = System::Drawing::Size(124, 40);
			this->buttonGetCalculationFanmotor->TabIndex = 29;
			this->buttonGetCalculationFanmotor->Text = L"Get Calculation Fanmotor PC";
			this->buttonGetCalculationFanmotor->UseVisualStyleBackColor = true;
			this->buttonGetCalculationFanmotor->Click += gcnew System::EventHandler(this, &GET__CALCULATION__FANMOTOR::buttonGetCalculationFanmotor_Click);
			// 
			// label73
			// 
			this->label73->AutoSize = true;
			this->label73->Location = System::Drawing::Point(239, 390);
			this->label73->Name = L"label73";
			this->label73->Size = System::Drawing::Size(22, 13);
			this->label73->TabIndex = 70;
			this->label73->Text = L"/ V";
			// 
			// label72
			// 
			this->label72->AutoSize = true;
			this->label72->Location = System::Drawing::Point(6, 390);
			this->label72->Name = L"label72";
			this->label72->Size = System::Drawing::Size(80, 13);
			this->label72->TabIndex = 69;
			this->label72->Text = L"Supply voltage:";
			// 
			// textBoxSupplyVoltage
			// 
			this->textBoxSupplyVoltage->Location = System::Drawing::Point(184, 387);
			this->textBoxSupplyVoltage->Name = L"textBoxSupplyVoltage";
			this->textBoxSupplyVoltage->ReadOnly = true;
			this->textBoxSupplyVoltage->Size = System::Drawing::Size(49, 20);
			this->textBoxSupplyVoltage->TabIndex = 68;
			// 
			// label71
			// 
			this->label71->AutoSize = true;
			this->label71->Location = System::Drawing::Point(239, 339);
			this->label71->Name = L"label71";
			this->label71->Size = System::Drawing::Size(31, 13);
			this->label71->TabIndex = 67;
			this->label71->Text = L"/ mm";
			// 
			// label70
			// 
			this->label70->Location = System::Drawing::Point(6, 339);
			this->label70->Name = L"label70";
			this->label70->Size = System::Drawing::Size(159, 43);
			this->label70->TabIndex = 66;
			this->label70->Text = L"Minimum separation distance between left right outside diameter and housing:";
			// 
			// textBoxErrCodeFanmotor
			// 
			this->textBoxErrCodeFanmotor->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBoxErrCodeFanmotor->Location = System::Drawing::Point(216, 30);
			this->textBoxErrCodeFanmotor->Name = L"textBoxErrCodeFanmotor";
			this->textBoxErrCodeFanmotor->ReadOnly = true;
			this->textBoxErrCodeFanmotor->Size = System::Drawing::Size(49, 20);
			this->textBoxErrCodeFanmotor->TabIndex = 43;
			// 
			// label10
			// 
			this->label10->AutoSize = true;
			this->label10->Location = System::Drawing::Point(6, 77);
			this->label10->Name = L"label10";
			this->label10->Size = System::Drawing::Size(61, 13);
			this->label10->TabIndex = 37;
			this->label10->Text = L"Product ID:";
			// 
			// textBoxSeperationDistance
			// 
			this->textBoxSeperationDistance->Location = System::Drawing::Point(184, 336);
			this->textBoxSeperationDistance->Name = L"textBoxSeperationDistance";
			this->textBoxSeperationDistance->ReadOnly = true;
			this->textBoxSeperationDistance->Size = System::Drawing::Size(49, 20);
			this->textBoxSeperationDistance->TabIndex = 65;
			// 
			// textBoxIdNo
			// 
			this->textBoxIdNo->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBoxIdNo->Location = System::Drawing::Point(184, 74);
			this->textBoxIdNo->Name = L"textBoxIdNo";
			this->textBoxIdNo->ReadOnly = true;
			this->textBoxIdNo->Size = System::Drawing::Size(49, 20);
			this->textBoxIdNo->TabIndex = 44;
			// 
			// label69
			// 
			this->label69->AutoSize = true;
			this->label69->Location = System::Drawing::Point(239, 313);
			this->label69->Name = L"label69";
			this->label69->Size = System::Drawing::Size(28, 13);
			this->label69->TabIndex = 64;
			this->label69->Text = L"/ Pa";
			// 
			// label68
			// 
			this->label68->AutoSize = true;
			this->label68->Location = System::Drawing::Point(239, 287);
			this->label68->Name = L"label68";
			this->label68->Size = System::Drawing::Size(28, 13);
			this->label68->TabIndex = 63;
			this->label68->Text = L"/ Pa";
			// 
			// label15
			// 
			this->label15->AutoSize = true;
			this->label15->Location = System::Drawing::Point(153, 33);
			this->label15->Name = L"label15";
			this->label15->Size = System::Drawing::Size(57, 13);
			this->label15->TabIndex = 42;
			this->label15->Text = L"ErrorCode:";
			// 
			// label67
			// 
			this->label67->AutoSize = true;
			this->label67->Location = System::Drawing::Point(239, 261);
			this->label67->Name = L"label67";
			this->label67->Size = System::Drawing::Size(22, 13);
			this->label67->TabIndex = 62;
			this->label67->Text = L"/ V";
			// 
			// label66
			// 
			this->label66->AutoSize = true;
			this->label66->Location = System::Drawing::Point(239, 235);
			this->label66->Name = L"label66";
			this->label66->Size = System::Drawing::Size(37, 13);
			this->label66->TabIndex = 61;
			this->label66->Text = L"/ m³/h";
			// 
			// label65
			// 
			this->label65->AutoSize = true;
			this->label65->Location = System::Drawing::Point(239, 209);
			this->label65->Name = L"label65";
			this->label65->Size = System::Drawing::Size(23, 13);
			this->label65->TabIndex = 60;
			this->label65->Text = L"/ m";
			// 
			// label64
			// 
			this->label64->AutoSize = true;
			this->label64->Location = System::Drawing::Point(239, 183);
			this->label64->Name = L"label64";
			this->label64->Size = System::Drawing::Size(26, 13);
			this->label64->TabIndex = 59;
			this->label64->Text = L"/ °C";
			// 
			// label63
			// 
			this->label63->AutoSize = true;
			this->label63->Location = System::Drawing::Point(239, 157);
			this->label63->Name = L"label63";
			this->label63->Size = System::Drawing::Size(43, 13);
			this->label63->TabIndex = 58;
			this->label63->Text = L"/ kg/m³";
			// 
			// label62
			// 
			this->label62->AutoSize = true;
			this->label62->Location = System::Drawing::Point(6, 313);
			this->label62->Name = L"label62";
			this->label62->Size = System::Drawing::Size(130, 13);
			this->label62->TabIndex = 56;
			this->label62->Text = L"Pressure difference (total):";
			// 
			// textBoxPressureDifferenceTotal
			// 
			this->textBoxPressureDifferenceTotal->Location = System::Drawing::Point(184, 310);
			this->textBoxPressureDifferenceTotal->Name = L"textBoxPressureDifferenceTotal";
			this->textBoxPressureDifferenceTotal->Size = System::Drawing::Size(49, 20);
			this->textBoxPressureDifferenceTotal->TabIndex = 57;
			this->textBoxPressureDifferenceTotal->Text = L"200";
			// 
			// label7
			// 
			this->label7->AutoSize = true;
			this->label7->Location = System::Drawing::Point(6, 235);
			this->label7->Name = L"label7";
			this->label7->Size = System::Drawing::Size(59, 13);
			this->label7->TabIndex = 34;
			this->label7->Text = L"Air volume:";
			// 
			// label8
			// 
			this->label8->AutoSize = true;
			this->label8->Location = System::Drawing::Point(6, 287);
			this->label8->Name = L"label8";
			this->label8->Size = System::Drawing::Size(135, 13);
			this->label8->TabIndex = 35;
			this->label8->Text = L"Pressure difference (static):";
			// 
			// label26
			// 
			this->label26->AutoSize = true;
			this->label26->Location = System::Drawing::Point(6, 261);
			this->label26->Name = L"label26";
			this->label26->Size = System::Drawing::Size(64, 13);
			this->label26->TabIndex = 54;
			this->label26->Text = L"Speed step:";
			// 
			// label9
			// 
			this->label9->AutoSize = true;
			this->label9->Location = System::Drawing::Point(6, 103);
			this->label9->Name = L"label9";
			this->label9->Size = System::Drawing::Size(159, 13);
			this->label9->TabIndex = 36;
			this->label9->Text = L"Option: (0=V u. Pfa; 1=V u. Ptot)";
			// 
			// textBoxSpeedStep
			// 
			this->textBoxSpeedStep->Location = System::Drawing::Point(184, 258);
			this->textBoxSpeedStep->Name = L"textBoxSpeedStep";
			this->textBoxSpeedStep->Size = System::Drawing::Size(49, 20);
			this->textBoxSpeedStep->TabIndex = 53;
			this->textBoxSpeedStep->Text = L"1";
			// 
			// label11
			// 
			this->label11->AutoSize = true;
			this->label11->Location = System::Drawing::Point(6, 130);
			this->label11->Name = L"label11";
			this->label11->Size = System::Drawing::Size(54, 13);
			this->label11->TabIndex = 38;
			this->label11->Text = L"Mounting:";
			// 
			// textBoxAirVolume
			// 
			this->textBoxAirVolume->Location = System::Drawing::Point(184, 232);
			this->textBoxAirVolume->Name = L"textBoxAirVolume";
			this->textBoxAirVolume->Size = System::Drawing::Size(49, 20);
			this->textBoxAirVolume->TabIndex = 51;
			this->textBoxAirVolume->Text = L"500";
			// 
			// label12
			// 
			this->label12->AutoSize = true;
			this->label12->Location = System::Drawing::Point(6, 157);
			this->label12->Name = L"label12";
			this->label12->Size = System::Drawing::Size(58, 13);
			this->label12->TabIndex = 39;
			this->label12->Text = L"Air density:";
			// 
			// textBoxPressureDifferenceStatic
			// 
			this->textBoxPressureDifferenceStatic->Location = System::Drawing::Point(184, 284);
			this->textBoxPressureDifferenceStatic->Name = L"textBoxPressureDifferenceStatic";
			this->textBoxPressureDifferenceStatic->Size = System::Drawing::Size(49, 20);
			this->textBoxPressureDifferenceStatic->TabIndex = 50;
			this->textBoxPressureDifferenceStatic->Text = L"200";
			// 
			// label13
			// 
			this->label13->AutoSize = true;
			this->label13->Location = System::Drawing::Point(6, 209);
			this->label13->Name = L"label13";
			this->label13->Size = System::Drawing::Size(45, 13);
			this->label13->TabIndex = 40;
			this->label13->Text = L"Altitude:";
			// 
			// textBoxAirTemperature
			// 
			this->textBoxAirTemperature->Location = System::Drawing::Point(184, 180);
			this->textBoxAirTemperature->Name = L"textBoxAirTemperature";
			this->textBoxAirTemperature->Size = System::Drawing::Size(49, 20);
			this->textBoxAirTemperature->TabIndex = 49;
			// 
			// label14
			// 
			this->label14->AutoSize = true;
			this->label14->Location = System::Drawing::Point(6, 183);
			this->label14->Name = L"label14";
			this->label14->Size = System::Drawing::Size(81, 13);
			this->label14->TabIndex = 41;
			this->label14->Text = L"Air temperature:";
			// 
			// textBoxAltitude
			// 
			this->textBoxAltitude->Location = System::Drawing::Point(184, 206);
			this->textBoxAltitude->Name = L"textBoxAltitude";
			this->textBoxAltitude->Size = System::Drawing::Size(49, 20);
			this->textBoxAltitude->TabIndex = 48;
			this->textBoxAltitude->Text = L"23";
			// 
			// textBoxAirDensity
			// 
			this->textBoxAirDensity->Location = System::Drawing::Point(184, 154);
			this->textBoxAirDensity->Name = L"textBoxAirDensity";
			this->textBoxAirDensity->Size = System::Drawing::Size(49, 20);
			this->textBoxAirDensity->TabIndex = 47;
			this->textBoxAirDensity->Text = L"1,15";
			// 
			// comboBoxMounting
			// 
			this->comboBoxMounting->FormattingEnabled = true;
			this->comboBoxMounting->Items->AddRange(gcnew cli::array< System::Object^  >(4) {L"0", L"1", L"2", L"3"});
			this->comboBoxMounting->Location = System::Drawing::Point(184, 127);
			this->comboBoxMounting->Name = L"comboBoxMounting";
			this->comboBoxMounting->Size = System::Drawing::Size(49, 21);
			this->comboBoxMounting->TabIndex = 46;
			this->comboBoxMounting->Text = L"0";
			// 
			// comboBoxOption
			// 
			this->comboBoxOption->FormattingEnabled = true;
			this->comboBoxOption->Items->AddRange(gcnew cli::array< System::Object^  >(2) {L"0", L"1"});
			this->comboBoxOption->Location = System::Drawing::Point(184, 100);
			this->comboBoxOption->Name = L"comboBoxOption";
			this->comboBoxOption->Size = System::Drawing::Size(49, 21);
			this->comboBoxOption->TabIndex = 45;
			this->comboBoxOption->Text = L"0";
			// 
			// groupBox2
			// 
			this->groupBox2->Controls->Add(this->groupBox6);
			this->groupBox2->Controls->Add(this->groupBox5);
			this->groupBox2->ImeMode = System::Windows::Forms::ImeMode::NoControl;
			this->groupBox2->Location = System::Drawing::Point(311, 284);
			this->groupBox2->Name = L"groupBox2";
			this->groupBox2->Size = System::Drawing::Size(613, 418);
			this->groupBox2->TabIndex = 74;
			this->groupBox2->TabStop = false;
			this->groupBox2->Text = L"Output - Get Calculation Fanmotor";
			// 
			// groupBox6
			// 
			this->groupBox6->Controls->Add(this->label75);
			this->groupBox6->Controls->Add(this->label74);
			this->groupBox6->Controls->Add(this->textBox30);
			this->groupBox6->Controls->Add(this->textBox31);
			this->groupBox6->Controls->Add(this->label39);
			this->groupBox6->Controls->Add(this->label40);
			this->groupBox6->Controls->Add(this->textBox29);
			this->groupBox6->Controls->Add(this->textBox28);
			this->groupBox6->Controls->Add(this->textBox27);
			this->groupBox6->Controls->Add(this->label17);
			this->groupBox6->Controls->Add(this->textBox26);
			this->groupBox6->Controls->Add(this->label18);
			this->groupBox6->Controls->Add(this->textBox25);
			this->groupBox6->Controls->Add(this->label19);
			this->groupBox6->Controls->Add(this->textBox24);
			this->groupBox6->Controls->Add(this->label20);
			this->groupBox6->Controls->Add(this->textBox23);
			this->groupBox6->Controls->Add(this->label21);
			this->groupBox6->Controls->Add(this->textBox22);
			this->groupBox6->Controls->Add(this->label22);
			this->groupBox6->Controls->Add(this->textBox21);
			this->groupBox6->Controls->Add(this->label23);
			this->groupBox6->Controls->Add(this->textBox20);
			this->groupBox6->Controls->Add(this->label24);
			this->groupBox6->Controls->Add(this->textBox19);
			this->groupBox6->Controls->Add(this->label25);
			this->groupBox6->Controls->Add(this->textBox42);
			this->groupBox6->Controls->Add(this->textBox41);
			this->groupBox6->Controls->Add(this->textBox18);
			this->groupBox6->Controls->Add(this->label16);
			this->groupBox6->Controls->Add(this->textBox17);
			this->groupBox6->Controls->Add(this->textBox40);
			this->groupBox6->Controls->Add(this->textBox16);
			this->groupBox6->Controls->Add(this->textBox15);
			this->groupBox6->Controls->Add(this->textBox13);
			this->groupBox6->Controls->Add(this->textBox14);
			this->groupBox6->Location = System::Drawing::Point(3, 16);
			this->groupBox6->Name = L"groupBox6";
			this->groupBox6->Size = System::Drawing::Size(218, 398);
			this->groupBox6->TabIndex = 113;
			this->groupBox6->TabStop = false;
			this->groupBox6->Text = L"Octave band at operating point";
			// 
			// label75
			// 
			this->label75->AutoSize = true;
			this->label75->Location = System::Drawing::Point(13, 28);
			this->label75->Name = L"label75";
			this->label75->RightToLeft = System::Windows::Forms::RightToLeft::No;
			this->label75->Size = System::Drawing::Size(66, 13);
			this->label75->TabIndex = 122;
			this->label75->Text = L"Lw(A,in+out)";
			// 
			// label74
			// 
			this->label74->AutoSize = true;
			this->label74->Location = System::Drawing::Point(16, 77);
			this->label74->Name = L"label74";
			this->label74->RightToLeft = System::Windows::Forms::RightToLeft::No;
			this->label74->Size = System::Drawing::Size(37, 13);
			this->label74->TabIndex = 121;
			this->label74->Text = L"Lw (A)";
			// 
			// textBox30
			// 
			this->textBox30->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox30->Location = System::Drawing::Point(144, 256);
			this->textBox30->Name = L"textBox30";
			this->textBox30->ReadOnly = true;
			this->textBox30->Size = System::Drawing::Size(56, 20);
			this->textBox30->TabIndex = 56;
			// 
			// textBox31
			// 
			this->textBox31->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox31->Location = System::Drawing::Point(144, 282);
			this->textBox31->Name = L"textBox31";
			this->textBox31->ReadOnly = true;
			this->textBox31->Size = System::Drawing::Size(56, 20);
			this->textBox31->TabIndex = 58;
			// 
			// label39
			// 
			this->label39->AutoSize = true;
			this->label39->Location = System::Drawing::Point(56, 58);
			this->label39->Name = L"label39";
			this->label39->Size = System::Drawing::Size(70, 13);
			this->label39->TabIndex = 118;
			this->label39->Text = L"Lw(A,out)/dB";
			// 
			// label40
			// 
			this->label40->AutoSize = true;
			this->label40->Location = System::Drawing::Point(141, 58);
			this->label40->Name = L"label40";
			this->label40->Size = System::Drawing::Size(63, 13);
			this->label40->TabIndex = 119;
			this->label40->Text = L"Lw(A,in)/dB";
			// 
			// textBox29
			// 
			this->textBox29->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox29->Location = System::Drawing::Point(144, 230);
			this->textBox29->Name = L"textBox29";
			this->textBox29->ReadOnly = true;
			this->textBox29->Size = System::Drawing::Size(56, 20);
			this->textBox29->TabIndex = 106;
			// 
			// textBox28
			// 
			this->textBox28->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox28->Location = System::Drawing::Point(144, 204);
			this->textBox28->Name = L"textBox28";
			this->textBox28->ReadOnly = true;
			this->textBox28->Size = System::Drawing::Size(56, 20);
			this->textBox28->TabIndex = 105;
			// 
			// textBox27
			// 
			this->textBox27->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox27->Location = System::Drawing::Point(144, 178);
			this->textBox27->Name = L"textBox27";
			this->textBox27->ReadOnly = true;
			this->textBox27->Size = System::Drawing::Size(56, 20);
			this->textBox27->TabIndex = 17;
			// 
			// label17
			// 
			this->label17->AutoSize = true;
			this->label17->Location = System::Drawing::Point(6, 348);
			this->label17->Name = L"label17";
			this->label17->RightToLeft = System::Windows::Forms::RightToLeft::No;
			this->label17->Size = System::Drawing::Size(73, 13);
			this->label17->TabIndex = 104;
			this->label17->Text = L"LwA(A,in+out)";
			// 
			// textBox26
			// 
			this->textBox26->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox26->Location = System::Drawing::Point(144, 152);
			this->textBox26->Name = L"textBox26";
			this->textBox26->ReadOnly = true;
			this->textBox26->Size = System::Drawing::Size(56, 20);
			this->textBox26->TabIndex = 16;
			// 
			// label18
			// 
			this->label18->AutoSize = true;
			this->label18->Location = System::Drawing::Point(6, 311);
			this->label18->Name = L"label18";
			this->label18->RightToLeft = System::Windows::Forms::RightToLeft::No;
			this->label18->Size = System::Drawing::Size(41, 13);
			this->label18->TabIndex = 103;
			this->label18->Text = L"LwA(A)";
			// 
			// textBox25
			// 
			this->textBox25->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox25->Location = System::Drawing::Point(144, 126);
			this->textBox25->Name = L"textBox25";
			this->textBox25->ReadOnly = true;
			this->textBox25->Size = System::Drawing::Size(56, 20);
			this->textBox25->TabIndex = 15;
			// 
			// label19
			// 
			this->label19->AutoSize = true;
			this->label19->Location = System::Drawing::Point(6, 285);
			this->label19->Name = L"label19";
			this->label19->RightToLeft = System::Windows::Forms::RightToLeft::No;
			this->label19->Size = System::Drawing::Size(47, 13);
			this->label19->TabIndex = 102;
			this->label19->Text = L"8000 Hz";
			// 
			// textBox24
			// 
			this->textBox24->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox24->Location = System::Drawing::Point(144, 100);
			this->textBox24->Name = L"textBox24";
			this->textBox24->ReadOnly = true;
			this->textBox24->Size = System::Drawing::Size(56, 20);
			this->textBox24->TabIndex = 14;
			// 
			// label20
			// 
			this->label20->AutoSize = true;
			this->label20->Location = System::Drawing::Point(6, 259);
			this->label20->Name = L"label20";
			this->label20->RightToLeft = System::Windows::Forms::RightToLeft::No;
			this->label20->Size = System::Drawing::Size(47, 13);
			this->label20->TabIndex = 101;
			this->label20->Text = L"4000 Hz";
			// 
			// textBox23
			// 
			this->textBox23->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox23->Location = System::Drawing::Point(59, 282);
			this->textBox23->Name = L"textBox23";
			this->textBox23->ReadOnly = true;
			this->textBox23->Size = System::Drawing::Size(56, 20);
			this->textBox23->TabIndex = 13;
			// 
			// label21
			// 
			this->label21->AutoSize = true;
			this->label21->Location = System::Drawing::Point(6, 233);
			this->label21->Name = L"label21";
			this->label21->RightToLeft = System::Windows::Forms::RightToLeft::No;
			this->label21->Size = System::Drawing::Size(47, 13);
			this->label21->TabIndex = 100;
			this->label21->Text = L"2000 Hz";
			// 
			// textBox22
			// 
			this->textBox22->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox22->Location = System::Drawing::Point(59, 256);
			this->textBox22->Name = L"textBox22";
			this->textBox22->ReadOnly = true;
			this->textBox22->Size = System::Drawing::Size(56, 20);
			this->textBox22->TabIndex = 12;
			// 
			// label22
			// 
			this->label22->AutoSize = true;
			this->label22->Location = System::Drawing::Point(6, 207);
			this->label22->Name = L"label22";
			this->label22->RightToLeft = System::Windows::Forms::RightToLeft::No;
			this->label22->Size = System::Drawing::Size(47, 13);
			this->label22->TabIndex = 99;
			this->label22->Text = L"1000 Hz";
			// 
			// textBox21
			// 
			this->textBox21->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox21->Location = System::Drawing::Point(59, 230);
			this->textBox21->Name = L"textBox21";
			this->textBox21->ReadOnly = true;
			this->textBox21->Size = System::Drawing::Size(56, 20);
			this->textBox21->TabIndex = 11;
			// 
			// label23
			// 
			this->label23->AutoSize = true;
			this->label23->Location = System::Drawing::Point(12, 181);
			this->label23->Name = L"label23";
			this->label23->RightToLeft = System::Windows::Forms::RightToLeft::No;
			this->label23->Size = System::Drawing::Size(41, 13);
			this->label23->TabIndex = 98;
			this->label23->Text = L"500 Hz";
			// 
			// textBox20
			// 
			this->textBox20->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox20->Location = System::Drawing::Point(59, 204);
			this->textBox20->Name = L"textBox20";
			this->textBox20->ReadOnly = true;
			this->textBox20->Size = System::Drawing::Size(56, 20);
			this->textBox20->TabIndex = 10;
			// 
			// label24
			// 
			this->label24->AutoSize = true;
			this->label24->Location = System::Drawing::Point(12, 155);
			this->label24->Name = L"label24";
			this->label24->RightToLeft = System::Windows::Forms::RightToLeft::No;
			this->label24->Size = System::Drawing::Size(41, 13);
			this->label24->TabIndex = 97;
			this->label24->Text = L"250 Hz";
			// 
			// textBox19
			// 
			this->textBox19->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox19->Location = System::Drawing::Point(59, 178);
			this->textBox19->Name = L"textBox19";
			this->textBox19->ReadOnly = true;
			this->textBox19->Size = System::Drawing::Size(56, 20);
			this->textBox19->TabIndex = 9;
			// 
			// label25
			// 
			this->label25->AutoSize = true;
			this->label25->Location = System::Drawing::Point(12, 129);
			this->label25->Name = L"label25";
			this->label25->RightToLeft = System::Windows::Forms::RightToLeft::No;
			this->label25->Size = System::Drawing::Size(41, 13);
			this->label25->TabIndex = 96;
			this->label25->Text = L"125 Hz";
			// 
			// textBox42
			// 
			this->textBox42->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox42->Location = System::Drawing::Point(144, 308);
			this->textBox42->Name = L"textBox42";
			this->textBox42->ReadOnly = true;
			this->textBox42->Size = System::Drawing::Size(56, 20);
			this->textBox42->TabIndex = 98;
			// 
			// textBox41
			// 
			this->textBox41->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox41->Location = System::Drawing::Point(59, 308);
			this->textBox41->Name = L"textBox41";
			this->textBox41->ReadOnly = true;
			this->textBox41->Size = System::Drawing::Size(56, 20);
			this->textBox41->TabIndex = 84;
			// 
			// textBox18
			// 
			this->textBox18->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox18->Location = System::Drawing::Point(59, 152);
			this->textBox18->Name = L"textBox18";
			this->textBox18->ReadOnly = true;
			this->textBox18->Size = System::Drawing::Size(56, 20);
			this->textBox18->TabIndex = 8;
			// 
			// label16
			// 
			this->label16->AutoSize = true;
			this->label16->Location = System::Drawing::Point(9, 103);
			this->label16->Name = L"label16";
			this->label16->RightToLeft = System::Windows::Forms::RightToLeft::No;
			this->label16->Size = System::Drawing::Size(44, 13);
			this->label16->TabIndex = 95;
			this->label16->Text = L"62.5 Hz";
			// 
			// textBox17
			// 
			this->textBox17->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox17->Location = System::Drawing::Point(59, 126);
			this->textBox17->Name = L"textBox17";
			this->textBox17->ReadOnly = true;
			this->textBox17->Size = System::Drawing::Size(56, 20);
			this->textBox17->TabIndex = 7;
			// 
			// textBox40
			// 
			this->textBox40->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox40->Location = System::Drawing::Point(85, 345);
			this->textBox40->Name = L"textBox40";
			this->textBox40->ReadOnly = true;
			this->textBox40->Size = System::Drawing::Size(79, 20);
			this->textBox40->TabIndex = 86;
			// 
			// textBox16
			// 
			this->textBox16->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox16->Location = System::Drawing::Point(59, 100);
			this->textBox16->Name = L"textBox16";
			this->textBox16->ReadOnly = true;
			this->textBox16->Size = System::Drawing::Size(56, 20);
			this->textBox16->TabIndex = 6;
			// 
			// textBox15
			// 
			this->textBox15->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox15->Location = System::Drawing::Point(144, 74);
			this->textBox15->Name = L"textBox15";
			this->textBox15->ReadOnly = true;
			this->textBox15->Size = System::Drawing::Size(56, 20);
			this->textBox15->TabIndex = 5;
			// 
			// textBox13
			// 
			this->textBox13->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox13->Location = System::Drawing::Point(85, 25);
			this->textBox13->Name = L"textBox13";
			this->textBox13->ReadOnly = true;
			this->textBox13->Size = System::Drawing::Size(79, 20);
			this->textBox13->TabIndex = 3;
			// 
			// textBox14
			// 
			this->textBox14->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox14->Location = System::Drawing::Point(59, 74);
			this->textBox14->Name = L"textBox14";
			this->textBox14->ReadOnly = true;
			this->textBox14->Size = System::Drawing::Size(56, 20);
			this->textBox14->TabIndex = 4;
			// 
			// groupBox5
			// 
			this->groupBox5->Controls->Add(this->label42);
			this->groupBox5->Controls->Add(this->label61);
			this->groupBox5->Controls->Add(this->textBox0);
			this->groupBox5->Controls->Add(this->label60);
			this->groupBox5->Controls->Add(this->label43);
			this->groupBox5->Controls->Add(this->textBox32);
			this->groupBox5->Controls->Add(this->label59);
			this->groupBox5->Controls->Add(this->label44);
			this->groupBox5->Controls->Add(this->textBox2);
			this->groupBox5->Controls->Add(this->textBox35);
			this->groupBox5->Controls->Add(this->textBox3);
			this->groupBox5->Controls->Add(this->label58);
			this->groupBox5->Controls->Add(this->label47);
			this->groupBox5->Controls->Add(this->textBox4);
			this->groupBox5->Controls->Add(this->textBox34);
			this->groupBox5->Controls->Add(this->textBox5);
			this->groupBox5->Controls->Add(this->label57);
			this->groupBox5->Controls->Add(this->label46);
			this->groupBox5->Controls->Add(this->textBox6);
			this->groupBox5->Controls->Add(this->textBox33);
			this->groupBox5->Controls->Add(this->textBox11);
			this->groupBox5->Controls->Add(this->textBox7);
			this->groupBox5->Controls->Add(this->textBox12);
			this->groupBox5->Controls->Add(this->label56);
			this->groupBox5->Controls->Add(this->label45);
			this->groupBox5->Controls->Add(this->textBox8);
			this->groupBox5->Controls->Add(this->textBox9);
			this->groupBox5->Controls->Add(this->label54);
			this->groupBox5->Controls->Add(this->label53);
			this->groupBox5->Controls->Add(this->textBox10);
			this->groupBox5->Controls->Add(this->label55);
			this->groupBox5->Controls->Add(this->label52);
			this->groupBox5->Controls->Add(this->textBox39);
			this->groupBox5->Controls->Add(this->label48);
			this->groupBox5->Controls->Add(this->label51);
			this->groupBox5->Controls->Add(this->textBox36);
			this->groupBox5->Controls->Add(this->textBox38);
			this->groupBox5->Controls->Add(this->label49);
			this->groupBox5->Controls->Add(this->label50);
			this->groupBox5->Controls->Add(this->textBox37);
			this->groupBox5->Location = System::Drawing::Point(227, 16);
			this->groupBox5->Name = L"groupBox5";
			this->groupBox5->Size = System::Drawing::Size(382, 398);
			this->groupBox5->TabIndex = 112;
			this->groupBox5->TabStop = false;
			this->groupBox5->Text = L"Fan and motor data at operating point";
			// 
			// label42
			// 
			this->label42->AutoSize = true;
			this->label42->Location = System::Drawing::Point(6, 29);
			this->label42->Name = L"label42";
			this->label42->Size = System::Drawing::Size(76, 13);
			this->label42->TabIndex = 57;
			this->label42->Text = L"Speed / 1/min";
			// 
			// label61
			// 
			this->label61->Location = System::Drawing::Point(204, 279);
			this->label61->Name = L"label61";
			this->label61->Size = System::Drawing::Size(80, 20);
			this->label61->TabIndex = 111;
			this->label61->Text = L"Return value";
			// 
			// textBox0
			// 
			this->textBox0->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox0->Location = System::Drawing::Point(314, 276);
			this->textBox0->Name = L"textBox0";
			this->textBox0->ReadOnly = true;
			this->textBox0->Size = System::Drawing::Size(56, 20);
			this->textBox0->TabIndex = 110;
			// 
			// label60
			// 
			this->label60->Location = System::Drawing::Point(204, 214);
			this->label60->Name = L"label60";
			this->label60->Size = System::Drawing::Size(104, 39);
			this->label60->TabIndex = 109;
			this->label60->Text = L"Minimum separation distance between fan and housing wall";
			// 
			// label43
			// 
			this->label43->AutoSize = true;
			this->label43->Location = System::Drawing::Point(6, 55);
			this->label43->Name = L"label43";
			this->label43->Size = System::Drawing::Size(41, 13);
			this->label43->TabIndex = 59;
			this->label43->Text = L"η e / %";
			// 
			// textBox32
			// 
			this->textBox32->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox32->Location = System::Drawing::Point(109, 312);
			this->textBox32->Name = L"textBox32";
			this->textBox32->ReadOnly = true;
			this->textBox32->Size = System::Drawing::Size(56, 20);
			this->textBox32->TabIndex = 76;
			// 
			// label59
			// 
			this->label59->Location = System::Drawing::Point(204, 188);
			this->label59->Name = L"label59";
			this->label59->Size = System::Drawing::Size(104, 17);
			this->label59->TabIndex = 107;
			this->label59->Text = L"Control voltage / V";
			// 
			// label44
			// 
			this->label44->AutoSize = true;
			this->label44->Location = System::Drawing::Point(6, 81);
			this->label44->Name = L"label44";
			this->label44->Size = System::Drawing::Size(46, 13);
			this->label44->TabIndex = 77;
			this->label44->Text = L"η se / %";
			// 
			// textBox2
			// 
			this->textBox2->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox2->Location = System::Drawing::Point(109, 26);
			this->textBox2->Name = L"textBox2";
			this->textBox2->ReadOnly = true;
			this->textBox2->Size = System::Drawing::Size(56, 20);
			this->textBox2->TabIndex = 1;
			// 
			// textBox35
			// 
			this->textBox35->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox35->Location = System::Drawing::Point(314, 26);
			this->textBox35->Name = L"textBox35";
			this->textBox35->ReadOnly = true;
			this->textBox35->Size = System::Drawing::Size(56, 20);
			this->textBox35->TabIndex = 78;
			// 
			// textBox3
			// 
			this->textBox3->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox3->Location = System::Drawing::Point(109, 52);
			this->textBox3->Name = L"textBox3";
			this->textBox3->ReadOnly = true;
			this->textBox3->Size = System::Drawing::Size(56, 20);
			this->textBox3->TabIndex = 2;
			// 
			// label58
			// 
			this->label58->Location = System::Drawing::Point(204, 162);
			this->label58->Name = L"label58";
			this->label58->Size = System::Drawing::Size(80, 27);
			this->label58->TabIndex = 105;
			this->label58->Text = L"Pe FW / kW";
			// 
			// label47
			// 
			this->label47->AutoSize = true;
			this->label47->Location = System::Drawing::Point(6, 159);
			this->label47->Name = L"label47";
			this->label47->Size = System::Drawing::Size(45, 13);
			this->label47->TabIndex = 79;
			this->label47->Text = L"psf / Pa";
			// 
			// textBox4
			// 
			this->textBox4->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox4->Location = System::Drawing::Point(109, 78);
			this->textBox4->Name = L"textBox4";
			this->textBox4->ReadOnly = true;
			this->textBox4->Size = System::Drawing::Size(56, 20);
			this->textBox4->TabIndex = 3;
			// 
			// textBox34
			// 
			this->textBox34->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox34->Location = System::Drawing::Point(109, 364);
			this->textBox34->Name = L"textBox34";
			this->textBox34->ReadOnly = true;
			this->textBox34->Size = System::Drawing::Size(56, 20);
			this->textBox34->TabIndex = 80;
			// 
			// textBox5
			// 
			this->textBox5->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox5->Location = System::Drawing::Point(109, 104);
			this->textBox5->Name = L"textBox5";
			this->textBox5->ReadOnly = true;
			this->textBox5->Size = System::Drawing::Size(56, 20);
			this->textBox5->TabIndex = 4;
			// 
			// label57
			// 
			this->label57->Location = System::Drawing::Point(204, 82);
			this->label57->Name = L"label57";
			this->label57->Size = System::Drawing::Size(104, 53);
			this->label57->TabIndex = 103;
			this->label57->Text = L"Max. permissable operating frequency of frequency converter / Hz";
			// 
			// label46
			// 
			this->label46->AutoSize = true;
			this->label46->Location = System::Drawing::Point(6, 133);
			this->label46->Name = L"label46";
			this->label46->Size = System::Drawing::Size(61, 13);
			this->label46->TabIndex = 81;
			this->label46->Text = L"Speed step";
			// 
			// textBox6
			// 
			this->textBox6->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox6->Location = System::Drawing::Point(109, 130);
			this->textBox6->Name = L"textBox6";
			this->textBox6->ReadOnly = true;
			this->textBox6->Size = System::Drawing::Size(56, 20);
			this->textBox6->TabIndex = 5;
			// 
			// textBox33
			// 
			this->textBox33->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox33->Location = System::Drawing::Point(109, 338);
			this->textBox33->Name = L"textBox33";
			this->textBox33->ReadOnly = true;
			this->textBox33->Size = System::Drawing::Size(56, 20);
			this->textBox33->TabIndex = 82;
			// 
			// textBox11
			// 
			this->textBox11->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox11->Location = System::Drawing::Point(109, 260);
			this->textBox11->Name = L"textBox11";
			this->textBox11->ReadOnly = true;
			this->textBox11->Size = System::Drawing::Size(56, 20);
			this->textBox11->TabIndex = 1;
			// 
			// textBox7
			// 
			this->textBox7->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox7->Location = System::Drawing::Point(109, 156);
			this->textBox7->Name = L"textBox7";
			this->textBox7->ReadOnly = true;
			this->textBox7->Size = System::Drawing::Size(56, 20);
			this->textBox7->TabIndex = 6;
			// 
			// textBox12
			// 
			this->textBox12->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox12->Location = System::Drawing::Point(109, 286);
			this->textBox12->Name = L"textBox12";
			this->textBox12->ReadOnly = true;
			this->textBox12->Size = System::Drawing::Size(56, 20);
			this->textBox12->TabIndex = 2;
			// 
			// label56
			// 
			this->label56->Location = System::Drawing::Point(204, 29);
			this->label56->Name = L"label56";
			this->label56->Size = System::Drawing::Size(104, 53);
			this->label56->TabIndex = 101;
			this->label56->Text = L"Operating frequency of frequency converter / Hz";
			// 
			// label45
			// 
			this->label45->AutoSize = true;
			this->label45->Location = System::Drawing::Point(6, 107);
			this->label45->Name = L"label45";
			this->label45->Size = System::Drawing::Size(41, 13);
			this->label45->TabIndex = 83;
			this->label45->Text = L"η o / %";
			// 
			// textBox8
			// 
			this->textBox8->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox8->Location = System::Drawing::Point(109, 182);
			this->textBox8->Name = L"textBox8";
			this->textBox8->ReadOnly = true;
			this->textBox8->Size = System::Drawing::Size(56, 20);
			this->textBox8->TabIndex = 7;
			// 
			// textBox9
			// 
			this->textBox9->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox9->Location = System::Drawing::Point(109, 208);
			this->textBox9->Name = L"textBox9";
			this->textBox9->ReadOnly = true;
			this->textBox9->Size = System::Drawing::Size(56, 20);
			this->textBox9->TabIndex = 8;
			// 
			// label54
			// 
			this->label54->AutoSize = true;
			this->label54->Location = System::Drawing::Point(6, 341);
			this->label54->Name = L"label54";
			this->label54->Size = System::Drawing::Size(80, 13);
			this->label54->TabIndex = 99;
			this->label54->Text = L"Po (shaft) / kW";
			// 
			// label53
			// 
			this->label53->AutoSize = true;
			this->label53->Location = System::Drawing::Point(6, 315);
			this->label53->Name = L"label53";
			this->label53->Size = System::Drawing::Size(43, 13);
			this->label53->TabIndex = 85;
			this->label53->Text = L"η sr / %";
			// 
			// textBox10
			// 
			this->textBox10->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox10->Location = System::Drawing::Point(109, 234);
			this->textBox10->Name = L"textBox10";
			this->textBox10->ReadOnly = true;
			this->textBox10->Size = System::Drawing::Size(56, 20);
			this->textBox10->TabIndex = 9;
			// 
			// label55
			// 
			this->label55->AutoSize = true;
			this->label55->Location = System::Drawing::Point(6, 367);
			this->label55->Name = L"label55";
			this->label55->Size = System::Drawing::Size(92, 13);
			this->label55->TabIndex = 97;
			this->label55->Text = L"p inlet nozzle / Pa";
			// 
			// label52
			// 
			this->label52->AutoSize = true;
			this->label52->Location = System::Drawing::Point(6, 289);
			this->label52->Name = L"label52";
			this->label52->Size = System::Drawing::Size(81, 13);
			this->label52->TabIndex = 87;
			this->label52->Text = L"Starting time / s";
			// 
			// textBox39
			// 
			this->textBox39->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox39->Location = System::Drawing::Point(314, 211);
			this->textBox39->Name = L"textBox39";
			this->textBox39->ReadOnly = true;
			this->textBox39->Size = System::Drawing::Size(56, 20);
			this->textBox39->TabIndex = 88;
			// 
			// label48
			// 
			this->label48->AutoSize = true;
			this->label48->Location = System::Drawing::Point(6, 185);
			this->label48->Name = L"label48";
			this->label48->Size = System::Drawing::Size(40, 13);
			this->label48->TabIndex = 95;
			this->label48->Text = L"pf / Pa";
			// 
			// label51
			// 
			this->label51->AutoSize = true;
			this->label51->Location = System::Drawing::Point(6, 263);
			this->label51->Name = L"label51";
			this->label51->Size = System::Drawing::Size(97, 13);
			this->label51->TabIndex = 89;
			this->label51->Text = L"Starting current / A";
			// 
			// textBox36
			// 
			this->textBox36->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox36->Location = System::Drawing::Point(314, 78);
			this->textBox36->Name = L"textBox36";
			this->textBox36->ReadOnly = true;
			this->textBox36->Size = System::Drawing::Size(56, 20);
			this->textBox36->TabIndex = 94;
			// 
			// textBox38
			// 
			this->textBox38->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox38->Location = System::Drawing::Point(314, 185);
			this->textBox38->Name = L"textBox38";
			this->textBox38->ReadOnly = true;
			this->textBox38->Size = System::Drawing::Size(56, 20);
			this->textBox38->TabIndex = 90;
			// 
			// label49
			// 
			this->label49->AutoSize = true;
			this->label49->Location = System::Drawing::Point(6, 211);
			this->label49->Name = L"label49";
			this->label49->Size = System::Drawing::Size(48, 13);
			this->label49->TabIndex = 93;
			this->label49->Text = L"Pe / kW";
			// 
			// label50
			// 
			this->label50->AutoSize = true;
			this->label50->Location = System::Drawing::Point(6, 237);
			this->label50->Name = L"label50";
			this->label50->Size = System::Drawing::Size(28, 13);
			this->label50->TabIndex = 91;
			this->label50->Text = L"I / A";
			// 
			// textBox37
			// 
			this->textBox37->BackColor = System::Drawing::Color::PapayaWhip;
			this->textBox37->Location = System::Drawing::Point(314, 159);
			this->textBox37->Name = L"textBox37";
			this->textBox37->ReadOnly = true;
			this->textBox37->Size = System::Drawing::Size(56, 20);
			this->textBox37->TabIndex = 92;
			// 
			// GET__CALCULATION__FANMOTOR
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(6, 13);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->ClientSize = System::Drawing::Size(1061, 712);
			this->Controls->Add(this->groupBox4);
			this->Controls->Add(this->groupBox2);
			this->Controls->Add(this->richTextBoxOutputData);
			this->Controls->Add(this->buttonShowOutputData);
			this->Controls->Add(this->groupBox1);
			this->Controls->Add(this->groupBox3);
			this->Name = L"GET__CALCULATION__FANMOTOR";
			this->Text = L"C++_Get_Calculation_FanMotor_PC";
			this->groupBox1->ResumeLayout(false);
			this->groupBox1->PerformLayout();
			this->groupBox3->ResumeLayout(false);
			this->groupBox3->PerformLayout();
			this->groupBox4->ResumeLayout(false);
			this->groupBox4->PerformLayout();
			this->groupBox2->ResumeLayout(false);
			this->groupBox6->ResumeLayout(false);
			this->groupBox6->PerformLayout();
			this->groupBox5->ResumeLayout(false);
			this->groupBox5->PerformLayout();
			this->ResumeLayout(false);

		}
#pragma endregion
#pragma region externe DLL Einbindung**************************
	//Imports the DLL and grants a compatibled access to its functions.                           //Importiert die DLL und garantiert einen compatiblen Zugriff auf ihre Funktionen.
	//(The DLL file has to be in the same folder as the EXE!)                                     //Die DLL Datei muss in dem selben Ordner wie die Exe sein!

	//Attribute DLLImport affects the underneath function.                                        //Das Attribut DLLImport wirkt sich auf die untenstehenden Funktionen aus. 
	[DllImport(
		//The DLL's name.																		  //Der DLL-Name.	      
		"EbmPapstFan.dll", 
		//Method call for execution of the DLL function.                                          // Methodenaufruf zur Ausführung der DLL funktion
		CallingConvention = CallingConvention::StdCall, 
		//Charset adapted to Delpi DLL(here Ansi, not Unicode).                                   //Charset wird der Delphi DLL angepasst (Hier wird Ansi verwendet, in Delphi Unicode).
		CharSet = CharSet::Ansi)]
	//Call the DLL function with return to Integer                                                //Aufruf der Dll funktion mit dem Rückgabewert vom Typ Integer
	static int GET_PRODUCTS_PC(
		//Mapping (get compatibility) with MarshalAs.                                             //Kompatibilität mit "MarshlAs" bekommen
		//...in ANSI character set with prefix length										      //...in ANSI Zeichen, mit dem prefix länge gesetzt.
		[MarshalAs(UnmanagedType::AnsiBStr)]
		//% allows to modify the contents of variables that's passed to the DLL                   //% erlaubt es, den Inhalt der Variablen, zu ändern, die durch die DLL kommen.
		String^% fanDescription);

	//[DllImport("EbmPapstFan.dll", CallingConvention = CallingConvention::StdCall, CharSet = CharSet::Ansi)]
	//static int GET_PRODUCTS_PC([MarshalAs(UnmanagedType::AnsiBStr)]String^% fanDescription);

	[DllImport("EbmPapstFan.dll", CallingConvention = CallingConvention::StdCall, CharSet = CharSet::Ansi)]	
	static int SET_XML_PATH_PC([MarshalAs(UnmanagedType::AnsiBStr)] String^ path_PAnsiChar);

	//Important here are the two arrays of double and the one StringBuilder.                    //Wichtig sind hier die 2 Arrays of double und der eine StringBuilder.
	//The StringBuilder acts as an array of char for the Delphi DLL.                            //Der StringBuilder arbeitet wie ein Array of Char für die Delphi DLL.
	//The calls here are all call by value (no ref, no out).                                    //Die Aufrufe hier sind alle Aufrufe bei Wert (kein ref, kein out).
	[DllImport("EbmPapstFan.dll", CallingConvention = CallingConvention::StdCall, CharSet = CharSet::Ansi)]
	static int GET_CALCULATION_FANMOTOR(
		int s1, int s2,
		[MarshalAs(UnmanagedType::LPArray)]array<Double>^ INPUT,
		[MarshalAs(UnmanagedType::LPStr)]StringBuilder^ KEY,
		int z1, int z2,
		[MarshalAs(UnmanagedType::LPArray)]array<Double>^ OUTPUT);
#pragma endregion
#pragma region show_Results************************************
	//Lists all from the database received products                                               //Liste alle, von der Datenbank erhaltenen, Produkte auf.
	private: 
		void show_Results(int productsIntern, String^ fanStringIntern)
		{
			int block = 0;
			int number = 0;
				
			//Clear all relevant fields before rewriting them                                     //Reinigt alle relevanten Felder, bevor sie Überschrieben werden.   
			listBoxProducts->Items->Clear();
			comboBoxIdNo->Items->Clear();
			comboBoxType->Items->Clear();

			array<String^>^ resultArr = gcnew array<String^>(0);
			//splits the data containing String at every semicolon                                //Teilt den Daten enthaltenen String bei jedem Semikolon.
			resultArr = fanStringIntern->Split(';');
			//Each block is a pre splitted String.                                                //Jeder Block ist ein vorgeteilter String
			//Each number is a line (row or item) in the listBox.                                 //Jede Nummer ist eine Linie (Reihe oder Item) in der ListBox.
			//This loop lists the products by its ID and Type in each line.                       //Die Schleife listet alle Produkte nach ihrer ID und ihrem Typen in jede Zeile auf.
			while (block < resultArr->Length-1)
			{
				comboBoxIdNo->Items->Add(resultArr[block]);
				listBoxProducts->Items->Add(++number + ": " + resultArr[block] + " | " + resultArr[block+1]);
				comboBoxType->Items->Add(resultArr[++block]);
				++block;
			}
			fanStringIntern = "";				
				
			//Insert two new lines at the listBox's beginning for a formated view                          //Fügt 2 neue Zeilen am Anfang der Liste ein, für eine Übersicht.
			listBoxProducts->Items->Insert(0, "Number of existing ventilators: " + number);
			listBoxProducts->Items->Insert(1, "-------------------------------------------");
			//Displays the  first Item in each comboBox                                                    //Zeigt das erste Item (Produkt) in den beiden Auswahlboxen an(Combobox).
			comboBoxIdNo->SelectedIndex = 0;
			comboBoxType->SelectedIndex = 0;

			textBoxElements->Text = number.ToString();                                                     //show the number of all products in the "Number of Elements" textbox / Zeigt die Anzahl aller Produkte in dem Feld "Number of Elements".

		}
#pragma endregion
#pragma region check_products_prerequisite*********************
//Checks if products are loaded to avoid crashes while clicking on buttons                                 //Überprüft ob Produkte geladen sind um Abstürze während dem klicken des Buttons zu vermeiden.
private: 
	void check_products_prerequisite()
    {
		//If a product is selected, then proceed                                                           //Wenn ein Produkt ausgewählt ist, fahre fort.
		if (comboBoxIdNo->Text != "" && textBox_dll_error_code->Text == "0" && textBoxIdNo->Text != "")
        {
            get_input_value();
			list_item_calculation_fanmotor();
        }

		//If no product is selected, clear the fields                                                      //Wenn kein Produkt ausgewählt ist, leere die Felder 
        //_ and throw a message                                                                            //_und gebe eine Nachricht aus.
        else
        {
			clear_calculation_fanmotor_fields();

            StringBuilder^ sbMessageBox = gcnew StringBuilder();
            sbMessageBox->Append("A prerequisite is not set! \n");
            sbMessageBox->Append("Please check if you've chosen a product \n");
			sbMessageBox->Append("and if the database is bounded!");
			MessageBox::Show(sbMessageBox->ToString(), "Prerequisite not set");
        }
    }
#pragma endregion
#pragma region clear_calculation_fanmotor_fields***************
	//Clears all relevant fields corresponding to the function                                          //Leere alle relevanten Felder entsprechend zur Funktion.
	private:
		void clear_calculation_fanmotor_fields()
		{
			textBoxIdNo->Clear();
			textBoxErrCodeFanmotor->Clear();
			richTextBoxOutputData->Clear();

			//Clears each text box corresponding to its group box                                       //Leert jede Textbox entsprechend seiner group box.
			for each (Control^ textBoxes in groupBox5->Controls)
			{
				if (textBoxes->GetType() == TextBox::typeid)
				{
					textBoxes->Text = "";
				}
			}

			for each (Control^ textBoxes in groupBox6->Controls)
			{
				if (textBoxes->GetType() == TextBox::typeid)
				{
					textBoxes->Text = "";
				}
			}
		}
#pragma endregion
#pragma region get_input_value*********************************
//Reads the manually specified product data out of the fields                                         /Liest die manuell angegebenen Produktdaten aus den Feldern aus.
private:
	void get_input_value()
	{      
		Array::Clear(dbINPUT, 0, dbINPUT->Length);
        int i = 0;

        //Tries to fill the dbINPUT array with user input values. If the input                         /Versucht das dbINPUT Array mit den User-Input-Werten zu füllen. Wenn
        //_ fields are empty, the actual array position will be set with a                             /_die Input-Felder leer sind, wird in die aktuelle Arrayposition ein
        //_ default value.                                                                             /_Standard Wert gesetzt.
        try
        {
			if (comboBoxOption->SelectedItem->ToString() != "")
			{dbINPUT[i] = Convert::ToDouble(comboBoxOption->SelectedItem->ToString());}
			else {dbINPUT[i] = 0;} i += 1;
			if (comboBoxMounting->SelectedItem->ToString() != "")
			{dbINPUT[i] = Convert::ToDouble(comboBoxMounting->SelectedItem->ToString());}
			else {dbINPUT[i] = 0;} i += 1;
			if (textBoxAirDensity->Text != "")
			{dbINPUT[i] = Convert::ToDouble(textBoxAirDensity->Text);}
			else {dbINPUT[i] = 0;} i += 1;
			if (textBoxAirTemperature->Text != "")
			{dbINPUT[i] = Convert::ToDouble(textBoxAirTemperature->Text);}
			else {dbINPUT[i] = 22;} i += 1;
			if (textBoxAltitude->Text != "")
			{dbINPUT[i] = Convert::ToDouble(textBoxAltitude->Text);}
			else {dbINPUT[i] = 333;} i += 1;
			if (textBoxAirVolume->Text != "")
			{dbINPUT[i] = Convert::ToDouble(textBoxAirVolume->Text);}
			else {dbINPUT[i] = 0;} i += 1;
			if (textBoxSpeedStep->Text != "")
			{dbINPUT[i] = Convert::ToDouble(textBoxSpeedStep->Text);}
			else {dbINPUT[i] = 1;} i += 1;
			if (textBoxPressureDifferenceStatic->Text != "")
			{dbINPUT[i] = Convert::ToDouble(textBoxPressureDifferenceStatic->Text);}
			else {dbINPUT[i] = 100;} i += 1;
			if (textBoxPressureDifferenceTotal->Text != "")
			{dbINPUT[i] = Convert::ToDouble(textBoxPressureDifferenceTotal->Text);}
			else {dbINPUT[i] = 100;}
		}
		//Throws an exception with error message if a letter/character is set into                             /Löst eine Ausnahme mit Fehlermeldung aus, wenn ein Buchstabe / Zeichen 
        //_ one of the input fields.                                                                           /_in ein der Inputfelder gesetzt wird.
        catch (FormatException^ fe)
        {
            errMessage = fe->ToString();
            MessageBox::Show("Only numerary input accepted!", "Wrong input value");
        }

        //Copies the array of chars to a StringBuilder to avoid wrong interpretations                          /Kopiert das Array of Char in einen StringBuilder um eine falsche
        //_ with the DLL.                                                                                      /_Interpretation mit der DLL zu vermeiden.
		sbKEY->Append(textBoxIdNo->Text);
		sbKEY->Append(chKEY, sbKEY->Length, chKEY->Length - sbKEY->Length);
	}
#pragma endregion
#pragma region list_item_calculation_fanmotor******************
	private:
		void list_item_calculation_fanmotor()
		{
			int errCodeFanmotor = 99;
			
			errCodeFanmotor = GET_CALCULATION_FANMOTOR(s1, s2, dbINPUT, sbKEY, z1, z2, dbOUTPUT);
			show_Results_Calculation_Fanmotor(errCodeFanmotor);
			
			//Clearing these arrays and StringBuilder for its next use                                         /Leert diese Arrays und StringBuilder für ihre nächste Benutzung.
			Array::Clear(dbOUTPUT, 0, dbOUTPUT->Length);
			Array::Clear(dbINPUT, 0, dbINPUT->Length);
			sbKEY->Length = 0;
		}
#pragma endregion
#pragma region show_Results_Calculation_Fanmotor***************
	//Displays the whole data of a product in the text boxes.                                                  /Zeigt die ganzen Daten eines Produktes in den Textboxen an.
	private: 
		void show_Results_Calculation_Fanmotor(int errCodeFanmotorIntern)
		{
			richTextBoxOutputData->Clear();

			textBoxErrCodeFanmotor->Text = errCodeFanmotorIntern.ToString();

			textBox0->Text = dbOUTPUT[0].ToString("#0.00");
			textBox2->Text = dbOUTPUT[2].ToString("#0.00");
			textBox3->Text = dbOUTPUT[3].ToString("#0.00");
			textBox4->Text = dbOUTPUT[4].ToString("#0.00");
			textBox5->Text = dbOUTPUT[5].ToString("#0.00");
			textBox6->Text = dbOUTPUT[6].ToString("#0.00");
			textBox7->Text = dbOUTPUT[7].ToString("#0.00");
			textBox8->Text = dbOUTPUT[8].ToString("#0.00");
			textBox9->Text = dbOUTPUT[9].ToString("#0.000");
			textBox10->Text = dbOUTPUT[10].ToString("#0.00");
			textBox11->Text = dbOUTPUT[11].ToString("#0.00");
			textBox12->Text = dbOUTPUT[12].ToString("#0.00");
			textBox32->Text = dbOUTPUT[32].ToString("#0.00");
			textBox33->Text = dbOUTPUT[33].ToString("#0.000");
			textBox34->Text = dbOUTPUT[34].ToString("#0.00");
			textBox35->Text = dbOUTPUT[35].ToString("#0.00");
			textBox36->Text = dbOUTPUT[36].ToString("#0.00");
			textBox37->Text = dbOUTPUT[37].ToString("#0.00");
			textBox38->Text = dbOUTPUT[38].ToString("#0.00");
			textBox39->Text = dbOUTPUT[39].ToString("#0.00");

			textBox24->Text = dbOUTPUT[24].ToString("#0.00");
			textBox25->Text = dbOUTPUT[25].ToString("#0.00");
			textBox26->Text = dbOUTPUT[26].ToString("#0.00");
			textBox27->Text = dbOUTPUT[27].ToString("#0.00");
			textBox28->Text = dbOUTPUT[28].ToString("#0.00");
			textBox29->Text = dbOUTPUT[29].ToString("#0.00");
			textBox30->Text = dbOUTPUT[30].ToString("#0.00");
			textBox31->Text = dbOUTPUT[31].ToString("#0.00");

			textBox16->Text = dbOUTPUT[16].ToString("#0.00");
			textBox17->Text = dbOUTPUT[17].ToString("#0.00");
			textBox18->Text = dbOUTPUT[18].ToString("#0.00");
			textBox19->Text = dbOUTPUT[19].ToString("#0.00");
			textBox20->Text = dbOUTPUT[20].ToString("#0.00");
			textBox21->Text = dbOUTPUT[21].ToString("#0.00");
			textBox22->Text = dbOUTPUT[22].ToString("#0.00");
			textBox23->Text = dbOUTPUT[23].ToString("#0.00");

			textBox13->Text = dbOUTPUT[13].ToString("#0.00");
			textBox14->Text = dbOUTPUT[14].ToString("#0.00");
			textBox15->Text = dbOUTPUT[15].ToString("#0.00");

			textBox40->Text = dbOUTPUT[40].ToString("#0.00");
			textBox41->Text = dbOUTPUT[41].ToString("#0.00");
			textBox42->Text = dbOUTPUT[42].ToString("#0.00");

			richTextBoxOutputData->Text += "KEY: " + sbKEY + "\n";
			richTextBoxOutputData->Text += "--------------------------------------------------------------------\n";
			richTextBoxOutputData->Text += "Input: 1=Pfa; 2=Ptot 3=DrehzStufe:\t" +                      dbINPUT[0].ToString("#0.00") + "\n"; // '0=Pfa; 1=Ptot
			richTextBoxOutputData->Text += "Input: Installationsart:\t" +                                dbINPUT[1].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Input: Luftdichte Rho [kg/m^3]:\t" +                         dbINPUT[2].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Input: Lufttemperatur T [°C]:\t" +                           dbINPUT[3].ToString("#0.00") + "\n";
			//Pay attention on this hop of dbINPUT index!           //Beachte den Sprung von dbINPUT index!
			richTextBoxOutputData->Text += "Input: Volumenstrom [m^3/h]:\t" +                            dbINPUT[5].ToString("#0.00") + "\n";
			//Pay attention on this hop of dbINPUT index!           //Beachte den Sprung von dbINPUT index!
			richTextBoxOutputData->Text += "Input: Druckerhöhung psf [Pa]:\t" +                          dbINPUT[7].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Input: Druckerhöhung pf [Pa]:\t" +                           dbINPUT[8].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "--------------------------------------------------------------------\n";

			int i = 2;
			richTextBoxOutputData->Text += "Output: Drehzahl [1/min]:\t" +                               dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Gesamtwirkunsgrad Eta_tot[%]:\t" +                   dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Gesamtwirkunsgrad Eta_stat[%]:\t" +                  dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Wirkungsgrad Motor  Eta_mot[%]:\t" +                 dbOUTPUT[i++].ToString("#0.00") + "\n";
			i = 7; //Pay attention on this hop of dbINPUT index!       //Beachte den Sprung von dbINPUT index!
			richTextBoxOutputData->Text += "Output: Druckerhöhung psf [Pa]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Druckerhöhung pf [Pa]:\t" +                          dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Leistungsaufnahme [W]:\t" +                          dbOUTPUT[i++].ToString("#0.000") + "\n";
			richTextBoxOutputData->Text += "Output: Stromaufnahme [A]:\t" +                              dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Anlaufstrom [A]:\t" +                                dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Anlaufzeit [s]:\t" +                                 dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ges [dB]:\t" +                                    dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Schallleistung ds [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Schallleistung ss [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ds bei 62,5 Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ds bei 125  Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ds bei 250  Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ds bei 500  Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ds bei 1000 Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ds bei 2000 Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ds bei 4000 Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ds bei 8000 Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ss bei 62,5 Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ss bei 125  Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ss bei 250  Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ss bei 500  Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ss bei 1000 Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ss bei 2000 Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ss bei 4000 Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: LW ss bei 8000 Hz [dB]:\t" +                         dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: EtaLr [%]:\t" +                                      dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Wellenleistung Laufrad, Pab Mot [W]:\t" +            dbOUTPUT[i++].ToString("#0.000") + "\n";
			richTextBoxOutputData->Text += "Einlaufdüsendruck[Pa]:\t" +                                  dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Betriebsfrequenz Frequenzumformer[Hz]:\t" +                  dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "max. zulässige Betriebsfrequenz Frequenzumformer[Hz]:\t" +   dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Minimal zulässiger Abstand Ventilator-Gehäusewand[mm]:\t" +  dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Steuerspannung [V]:\t" +                                     dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Elektrische Leistungsaufnahme FW [kW]:\t" +                  dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Schalleistung-gesamt A-bewertet [dBA]:\t" +          dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Schalleistung-Druckseite A-bewertet [dB]:\t" +       dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Schalleistung-Saugseite A-bewertetdbA [dB]:\t" +     dbOUTPUT[i++].ToString("#0.00") + "\n";
			richTextBoxOutputData->Text += "Output: Fehlerparameter:\t" + dbOUTPUT[0];
		}
#pragma endregion
#pragma region Implementation**********************************
	private: System::Void btn_Set_XML_Path_PC_Click(System::Object^  sender, System::EventArgs^  e) {      //if button Set_XML_Path_PC is clicked,                                                / Wenn die Taste Set_XML_Path_PC gedrückt wird,
				  SET_XML_PATH_PC(textBox_xml_path_PC->Text);											   //then take the path from the textbox, set the path and                                / dann übernehme den angeben Pfad aus der Textbox, setze den Pfad und
			 int errorcode = SET_XML_PATH_PC(textBox_xml_path_PC->Text);							       //create variable errorcode from type Integer and gave the value from Set_XML_Path_PC. / erstelle die Variable "errorcode", vom Typ Integer und gebe ihr den rückgabewert von der Set_XML_Path_PC Funktion. 

			 if (errorcode == 0)																	       //if value = 0                                                                         /Wenn der Wert 0 ist,	
			 {
				 textBox_Status->Text = "";														           //= right, clear textbox "Status" and                                                  /ist es richtig, die Textbox "Status" wird geleert und
				 textBox_Status->Text = "Connected";											           //show the massage "Connected" in the textbox "Status"                                 /und die Nachricht "Verbunden" wird in der Textbox "Status" angezeigt.
			 }
			 else																		                   //else value = -1                                                                      /Wenn der Wert nicht 0, sondern -1 ist,  
			 {
				 textBox_Status->Text = "";														           //= false, clear textbox "Status" and                                                  /ist es falsch, die Textbox "Status" wird geleert und
				 textBox_Status->Text = "Path does no exist";	  							               //show the massage "Path does not exist" in the textbox "Status"                       /und die Nachricht "Pfad existiert nicht" wird in der Textbox "Status" angezeigt. 
			 }

			 textBox_dll_error_code->Text = "";														       //Clear the textbox "DLL Error Code" and                                               /Leere die Textbox "DLL Error Code" und
			 textBox_dll_error_code->Text = Convert::ToString(errorcode);                                  //show the value from errorcode in the textbox "DLL Error Code"                        /zeige den Wert von errorcode in der Textbox "DLL Error Code" an.
			 }
		
private: System::Void buttonGetProducts_Click(System::Object^  sender, System::EventArgs^  e) {
			if (textBox_dll_error_code->Text == "0")                                                       //If the shown DLL Error Code is "0":                                                                 /Wenn der gezeigte DLL Error Code "0":
        {                                                                                                                                                                                                                                                      
			 int products = 99;                                                                            //Number of products becomes 99                                                                       /Anzahl der Produkte wird auf 99 gesetzt.  
			 String^ fanStringChar = gcnew String('0', 4001);                                              //initializes fanStringChar with 4000 empty characters                                                /Initialisiert "fanStringChar" mit 4000 leeren Zeichen.                               
			 products = GET_PRODUCTS_PC(fanStringChar);                                                    //products is the amount of readable products out of the database.                                    /"products" is the Anzahl der Lesbaren Produkte in der Datenbank.  
			 show_Results(products, fanStringChar);                                                        //the passed fanStringChar is an empty String that gets a value when                                  /Der "FanStringChar" ist ein leerer String, der seinen Wert bekommt, wenn
			}                                                                                              //getting it back from the DLL and  this value will be passed to the show_results function then.      /er von der DLL zurück kommt und dieser Wert wird weitergegeben an die "show_result" Funktion.
			
			else                                                                                           //If the shown DLL ErrorCode is not "0":                                                              /Wenn der gezeigte DLL Error Code nicht "0" ist:
			{                                                                                                                                                                                                                   
                textBoxElements->Clear();                                                                  //The TextboxElements (Number of Elements) becomes cleared.                                           /Die TextboxElements (Anzahl der Elemente) wird geleert.   
                comboBoxIdNo->Items->Clear();                                                              //The dropdown menu from ComboBoxIdNo (Product ID) becomes cleared.                                   /Das Auswahlmenü von der ComboBoxIdNo (Produkt ID) wird geleert.
                comboBoxIdNo->Text = "";                                                                   //The shown Product ID from ComboBoxIdNo becomes cleared.                                             /Die angezeigte Produkt ID von der ComboBoxIdNo wird gelöscht.
                comboBoxType->Items->Clear();                                                              //The dropdown menu from ComboBoxType (Type) becomes cleared.                                         /Das Auswahlmenü von der ComboBoxType (Typ) wird geleert.
                comboBoxType->Text = "";                                                                   //The shown Product Type from ComboBoxType becomes cleared.                                           /Der angezeigte Produkt Typ von der ComboBoxType wird gelöscht.
                listBoxProducts->Items->Clear();                                                           //The list with all products becomes cleared.                                                         /Die Liste aller Produkte wird geleert. 
				MessageBox::Show("No database selected");                                                  //And the MassageBox shows the message "No database selected");                                       /Und die MessageBox gibt die Nachricht "Keine Datenbank ausgewählt" aus.
			}
		 }
private: System::Void buttonGetCalculationFanmotor_Click(System::Object^  sender, System::EventArgs^  e) {
		check_products_prerequisite();
		 }
private: System::Void buttonShowOutputData_Click(System::Object^  sender, System::EventArgs^  e) {
	switch (richTextBoxOutputData->Visible)
	{
	case true:                                             //If OutputData is visible;                                 //Wenn OutputData sichtbar ist,
		richTextBoxOutputData->Visible = false;            //_set the richTextBox unvisble                             //_setzte die richTextBox unsichtbar,
		buttonShowOutputData->Text = "Show Output Data";   //_and change the button caption to "Show Output Data"      //_und ändere die Tastenüberschrifft in "Show Output Data".
		break;

	case false:                                            //If OutputData is unvisible;                               //Wenn OutputData unsichtbar ist,
		richTextBoxOutputData->Visible = true;             //_set the textbox visble                                   //_setzte die richTextBox sichtbar,
		buttonShowOutputData->Text = "Hide Output Data";   //_and change the button caption to "Hide Output Data"      //_und ändere die Tastenüberschrifft in "Hide Output Data".
		break;
	}
 }

private: System::Void comboBoxIdNo_SelectedIndexChanged(System::Object^  sender, System::EventArgs^  e) {           //Changes the focus from the Listbox, ComboboxType or ComboboxIdNo,    /Ändert die Auswahl von der Liste bzw. die Anzeige in den beiden Auswahlmenüs,
			comboBoxType->SelectedIndex = comboBoxIdNo->SelectedIndex;                                              //when you change the selectedIndex from these 3 things.               /wenn man in einem der 3 Felder einen anderen Eintrag auswählt.  
            listBoxProducts->SelectedIndex = comboBoxIdNo->SelectedIndex + 2;
			textBoxIdNo->Text = comboBoxIdNo->Text;
		 }
private: System::Void comboBoxType_SelectedValueChanged(System::Object^  sender, System::EventArgs^  e) {           //Changes the focus from the Listbox, ComboboxType or ComboboxIdNo,    /Ändert die Auswahl von der Liste bzw. die Anzeige in den beiden Auswahlmenüs,
			 comboBoxIdNo->SelectedIndex = comboBoxType->SelectedIndex;												//when you change the selectedIndex from these 3 things.               /wenn man in einem der 3 Felder einen anderen Eintrag auswählt. 
			listBoxProducts->SelectedIndex = comboBoxType->SelectedIndex + 2;
		 }
private: System::Void listBoxProducts_SelectedIndexChanged(System::Object^  sender, System::EventArgs^  e) {        //Changes the focus from the Listbox, ComboboxType or ComboboxIdNo,    /Ändert die Auswahl von der Liste bzw. die Anzeige in den beiden Auswahlmenüs,
			 if (listBoxProducts->SelectedIndex != 0 && listBoxProducts->SelectedIndex != 1)                        //when you change the selectedIndex from these 3 things.               /wenn man in einem der 3 Felder einen anderen Eintrag auswählt. 
			 {
				comboBoxIdNo->SelectedIndex = listBoxProducts->SelectedIndex - 2;
				comboBoxType->SelectedIndex = listBoxProducts->SelectedIndex - 2;
			 }
		 }
#pragma endregion
	};
}
