#pragma once

namespace Get_DLL_Version {

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;
	using namespace System::IO;
	using namespace System::Runtime::InteropServices;
	using namespace System::Text;

	/// <summary>
	/// Zusammenfassung fr Get_DLL_Version
	/// </summary>
	public ref class Get_DLL_Version : public System::Windows::Forms::Form
	{
#pragma region Generated Stuff****************************
	public:
		Get_DLL_Version(void)
		{
			InitializeComponent();
			//
			//TODO: Konstruktorcode hier hinzufgen.
			//
		}

	protected:
		/// <summary>
		/// Verwendete Ressourcen bereinigen.
		/// </summary>
		~Get_DLL_Version()
		{
			if (components)
			{
				delete components;
			}
		}
	private:
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		System::ComponentModel::Container ^components;	
#pragma endregion
#pragma region GUI****************************************
	private: System::Windows::Forms::Button^  btnGetDLLVersion;
	protected: 
	private: System::Windows::Forms::Label^  label1;
	private: System::Windows::Forms::TextBox^  textBoxDllVersion;
	protected: 
#pragma endregion
#pragma region Windows Form Designer generated code*******
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung.
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		
		void InitializeComponent(void)
		{
			this->btnGetDLLVersion = (gcnew System::Windows::Forms::Button());
			this->label1 = (gcnew System::Windows::Forms::Label());
			this->textBoxDllVersion = (gcnew System::Windows::Forms::TextBox());
			this->SuspendLayout();
			// 
			// btnGetDLLVersion
			// 
			this->btnGetDLLVersion->Location = System::Drawing::Point(28, 57);
			this->btnGetDLLVersion->Name = L"btnGetDLLVersion";
			this->btnGetDLLVersion->Size = System::Drawing::Size(110, 25);
			this->btnGetDLLVersion->TabIndex = 0;
			this->btnGetDLLVersion->Text = L"Get DLL Version";
			this->btnGetDLLVersion->UseVisualStyleBackColor = true;
			this->btnGetDLLVersion->Click += gcnew System::EventHandler(this, &Get_DLL_Version::btnGetDLLVersion_Click);
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->Location = System::Drawing::Point(160, 63);
			this->label1->Name = L"label1";
			this->label1->Size = System::Drawing::Size(68, 13);
			this->label1->TabIndex = 1;
			this->label1->Text = L"DLL Version:";
			// 
			// textBoxDllVersion
			// 
			this->textBoxDllVersion->Location = System::Drawing::Point(234, 60);
			this->textBoxDllVersion->Name = L"textBoxDllVersion";
			this->textBoxDllVersion->Size = System::Drawing::Size(85, 20);
			this->textBoxDllVersion->TabIndex = 2;
			// 
			// Get_DLL_Version
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(6, 13);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->ClientSize = System::Drawing::Size(344, 153);
			this->Controls->Add(this->textBoxDllVersion);
			this->Controls->Add(this->label1);
			this->Controls->Add(this->btnGetDLLVersion);
			this->Name = L"Get_DLL_Version";
			this->Text = L"C++_Get_DLL_Version_PC";
			this->ResumeLayout(false);
			this->PerformLayout();

		}
#pragma endregion
#pragma region externe DLL Einbindung*********************
	//Imports the DLL and grants a compatibled access to its functions.                           //Importiert die DLL und garantiert einen compatiblen Zugriff auf ihre Funktionen.
	//(The DLL file has to be in the same folder as the EXE!)                                     //Die DLL Datei muss in dem selben Ordner wie die Exe sein! 

	//Attribute DLLImport affects the underneath function.                                        //Das Attribut DLLImport wirkt sich auf die untenstehenden Funktionen aus. 
	[DllImport(                                                          
		//The DLL's name.																		  //Der DLL-Name.	                                               
		"EbmPapstFan.dll", 
		//Method call for execution of the DLL function.                                          // Methodenaufruf zur Ausfhrung der DLL funktion
		CallingConvention = CallingConvention::StdCall, 
		//Charset adapted to Delpi DLL(here Ansi, not Unicode).                                  //Charset wird der Delphi DLL angepasst (Hier wird Ansi verwendet, in Delphi Unicode).
		CharSet = CharSet::Ansi)]
	//Call the DLL function with return to Integer                                              //Aufruf der Dll funktion mit dem Rckgabewert vom Typ Integer
	static int GetDLLVersion(); 
 
	//[DllImport("EbmPapstFan.dll", CallingConvention = CallingConvention::StdCall, CharSet = CharSet::Ansi)]
    //static int GetDLLVersion();

#pragma endregion
#pragma region Implementation*****************************
	private: System::Void btnGetDLLVersion_Click(System::Object^  sender, System::EventArgs^  e) {    //If button "Get DLL Version" is clicked                                        //Wenn der Button "Get DLL Version angeklickt wird
                int DLLVersion = 0;                                                                   //then create the variable "DllVersion" from type Integer and gave the value 0  //Erstelle die Variable "DllVersion" vom Typ Integer und weise ihr den Wert 0 zu.
                DLLVersion = GetDLLVersion();														  //the variable gets the value from the DLL function "GetDLLVersion()"           //Weise der Variable den Wert von der DLL Funktion "GetDLLVersion()" zu
		        textBoxDllVersion->Text = Convert::ToString(DLLVersion);						      //The value from the variable "DllVersion" is from type Integer and if you      //Da der Wert von der Variable "DLLVersion" vom Typ Integer ist und dieser
				                                                                                      // want to show the value in the textbox, you have to convert the Value into a  //in der Textbox wiedergeben werden soll, muss man ihn mit 
				  }                                                                                   //string with the command "Convert::ToString"                                   // "Convert::ToString" in einen String umwandeln.
#pragma endregion		
};
}